<?php slot('top'); ?>
<?php GenerateTab('uslg'); ?>
<?php end_slot(); ?>

<?php slot('actions'); ?>
<?php include_partial('form_actions', array('form' => $form)); ?>
<?php end_slot(); ?>

<?php slot('message'); ?>
<span id="updater">
    <?php include_partial('frontend/flashes'); ?>
</span>
<?php end_slot(); ?>

<?php use_helper('I18N', 'Date') ?>
<?php use_stylesheet('admin/aktualnosci'); ?>
<div class="modul_box" style="width: 100%;">
    <div id="cms_center_panel" >
        <div id="cms_center_panel_content">
            <div class="center_item_title">
                <div class="menu_icon_6"></div>
                <?php echo __('FILTR SPECJALISTÓW') ?>
            </div>
            <div class="center_item" onclick="Element.toggle('filters');">
                <div class="menu_icon_7"></div>
                <?php echo __('Szukanie zaawansowane') ?>
            </div>

            <?php if(!empty($filtry)): ?>
                <div class="bgr_filter_title">- <?php echo __('AKTYWNY FILTR') ?> -</div>
                <?php $style = ''; ?>
            <?php else: ?>
                <?php $style = 'style="display: none;"'; ?>
            <?php endif; ?>

            <div <?php echo $style ?> id="filters" class="bgr_filter">
                <?php include_partial('uslg_specjalista/filters', array('form' => $filters, 'configuration' => $configuration)); ?>
            </div>
               
            <?php include_partial('uslg_kategoria/submenu');?>
            
        </div>
    </div>

    <div id="cms_right_panel">
        <div class="right_item_title"><?php echo __('EDYCJA SPECJALISTY').' &bdquo;'.$baza_uslug_specjalista->getNazwa().'&rdquo;' ?></div>

        <div id="sf_admin_header">
            <?php include_partial('uslg_specjalista/form_header', array('baza_uslug_specjalista' => $baza_uslug_specjalista, 'form' => $form, 'configuration' => $configuration)) ?>
        </div>

        <div id="sf_admin_content">
            <?php include_partial('uslg_specjalista/form', array('baza_uslug_specjalista' => $baza_uslug_specjalista, 'form' => $form, 'configuration' => $configuration, 'helper' => $helper)) ?>
        </div>

        <div id="sf_admin_footer">
            <?php include_partial('uslg_specjalista/form_footer', array('baza_uslug_specjalista' => $baza_uslug_specjalista, 'form' => $form, 'configuration' => $configuration)) ?>
        </div>
    </div>
</div>
