<?php slot('top'); ?>
    <?php GenerateTab('uslg'); ?>
<?php end_slot(); ?>

<?php slot('actions'); ?>
    <?php GenerateButton(6,__('Dodaj'),"document.location.href=('".url_for('uslg_specjalista/new')."');"); ?>
<?php end_slot(); ?>

<?php slot('message'); ?>
    <span id="updater">
        <?php include_partial('frontend/flashes'); ?>
    </span>
<?php end_slot(); ?>

<?php use_helper('I18N', 'Date') ?>
<?php use_stylesheet('admin/aktualnosci'); ?>

<div class="modul_box" style="width: 100%;">
    <div id="cms_center_panel" >
        <div id="cms_center_panel_content">
            <div class="center_item_title">
                <div class="menu_icon_6"></div>
                <?php echo __('FILTR SPECJALISTÓW') ?>
            </div>
            <div class="center_item" onclick="Element.toggle('filters');">
                <div class="menu_icon_7"></div>
                <?php echo __('Szukanie zaawansowane') ?>
            </div>
                
            <?php if(!empty($filters)): ?>
                <!--<div class="bgr_filter_title">- <?php echo __('AKTYWNY FILTR') ?> -</div>-->
                <?php $style = ''; ?>
            <?php else: ?>
                <?php $style = 'style="display: none;"'; ?>
            <?php endif; ?>

            <div <?php echo $style ?> id="filters" class="bgr_filter">
                <?php include_partial('uslg_specjalista/filters', array('form' => $filters, 'configuration' => $configuration)); ?>
            </div>
                
            <?php include_partial('uslg_kategoria/submenu');?>
            
        </div>
    </div>
    <div id="cms_right_panel">
        <div class="right_item_title"><?php echo __('LISTA SPECJALISTÓW') ?></div>
        <?php javascript_tag(); ?>
            function checkConfirm(form) {
                var batchAction=form.batch_action.value;
                if(batchAction=='batchDelete') {
                    if(confirm('<?php echo __("Czy jesteś pewien?"); ?>')) return true;
                    else return false;
                } else return true;
            }
        <?php end_javascript_tag(); ?>
        <form action="<?php echo url_for('baza_uslug_specjalista_collection', array('action' => 'batch')) ?>" method="post" onsubmit  = 'return checkConfirm(this);'>
            <?php include_partial('uslg_specjalista/list', array('pager' => $pager, 'sort' => $sort, 'helper' => $helper)) ?>
            <?php if($sf_user->checkPermission('uslg_global','publish') == 1):?>
                <?php if ($pager->getNbResults()): ?>
                    <div style="margin: 4px 0px 0px 0px; float: left;">
                        <?php include_partial('uslg_specjalista/list_batch_actions', array('helper' => $helper)) ?>
                    </div>
                <?php endif;?>
                <div style="margin: 4px 0px 0px 0px; float: right;">
                    <?php include_partial('uslg_specjalista/list_actions', array('helper' => $helper)) ?>
                </div>
            <?php endif;?>
        </form>
    </div>
</div>

