<nav class="baza_uslug_menu component">
    
    <?php if(!empty($title)): ?>
        <header class="belka">
            <h2 class="title"><span><?php echo __($title); ?></span></h2>
        </header>
    <?php else: ?>
	 <header class="belka">
            <h2 class="title hidden-wcag"><span><?php echo __('Menu Baza Usług'); ?></span></h2>
        </header>
    <?php endif; ?>


    <ul class="portal-menu" role="menu">
        <li class="level-1 <?php if($mode_sel == 'kategoria') echo 'select'; ?>" style="max-height: 500px; overflow: auto; overflow-y: auto; overflow-x: hidden;">
            <?php echo link_to(__('Kategorie'), '@uslg_lista_kategorii'); ?>       

            <?php foreach($kat_structure as $typ_id => $baza_uslug_kategoria_list): ?>
                <ul class="level-2-wrapper">
                    <li class="level-2 <?php if($typ_sel == $typ_id) echo 'select'; ?>">
                        <?php echo link_to($types[$typ_id], '@uslg_typ?typ_id='.$typ_id.'&slug='.Functions::slugify($types[$typ_id])); ?>
                                        
                        <ul class="level-3-wrapper">
                            <?php foreach($baza_uslug_kategoria_list as $baza_uslug_kategoria): ?>
                                <div class="level-3 <?php if($kat_sel == $baza_uslug_kategoria->getId()) echo 'select'; ?>">
                                    <?php echo link_to($baza_uslug_kategoria->getNazwa(), '@uslg_kat?id='.$baza_uslug_kategoria->getId().'&slug='.Functions::slugify($baza_uslug_kategoria->getNazwa())) ?>
                                </div>
                            <?php endforeach; ?>
                        </ul>
                    </li>
                </ul>            
            <?php endforeach; ?>
        </li>

        <li class="level-1 <?php if($mode_sel == 'usluga') echo 'select'; ?>" style="max-height: 500px; overflow: auto; overflow-y: auto; overflow-x: hidden;">
            <?php echo link_to(__('Usługi'), '@uslg_lista_uslug'); ?>         

            <?php foreach($uslg_structure as $baza_uslug_usluga): ?>
                <ul class="level-2-wrapper">
                    <li class="level-2 <?php if($baza_uslug_usluga->getId() == $uslg_sel) echo 'select'; ?>">
                        <?php echo link_to($baza_uslug_usluga->getNazwa(), '@uslg_uslg?id='.$baza_uslug_usluga->getId().'&slug='.Functions::slugify($baza_uslug_usluga->getNazwa())); ?>
                    </li>
                </ul>            
            <?php endforeach; ?>
        </li>

        <li class="level-1 <?php if($mode_sel == 'specjalista') echo 'select'; ?>" style="max-height: 500px; overflow: auto; overflow-y: auto; overflow-x: hidden;">
            <?php echo link_to(__('Specjaliści'), '@uslg_lista_specjalistow'); ?>   

            <?php foreach($spec_structure as $baza_uslug_specjalista): ?>
                <ul class="level-2-wrapper">
                    <li class="level-2 <?php if($baza_uslug_specjalista->getId() == $spec_sel) echo 'select'; ?>">
                        <span><?php echo link_to($baza_uslug_specjalista->getNazwa(), '@uslg_spec?id='.$baza_uslug_specjalista->getId().'&slug='.Functions::slugify($baza_uslug_specjalista->getNazwa())); ?></span>
                    </li>
                </ul>  
            <?php endforeach; ?>
        </li>

    </ul>

    <div class="cl"></div> 

</nav>

