<?php
if(!empty($obj))
{
    // [PRESET] czy zajawka ma byc wyswietlana w formie okrojonej
    $shrank = isset($shrink) && $shrink == true;

    // [PRESET] alt
    $alt = ''; 
    
    // [PRESET] title
    $title = $obj->getNazwa();

    // [PRESET] link
    $link = '@uslg_kat?id='.$obj->getId().'&slug='.Functions::slugify($obj->getNazwa());

    // *************************************************************************
    ?>

    <div class="zajawka<?php if($shrank) echo ' shrank'; ?>">

        <a href="<?php echo url_for($link); ?>">

            <span class="box-right">

                <?php if(!empty($trafnosc)) echo $trafnosc; ?>

                <div class="title">
                    <?php echo $title; ?>
                </div>

                <?php if(!$shrank): ?>

                    <div class="tresc">
                        <?php echo $obj->getZajawka();  ?>
                    </div>
                
                    <?php
                    // INFO
                    Functions::renderInfo($obj, 'getCreatedAt');
                    ?>
                    
                    <div class="link">
                        <?php echo __(sfConfig::get('app_see_more_def')); ?>
                    </div>
                <?php endif; ?>

            </span>       

        </a>

    </div>
    <?php
}
else
{
    if($_SERVER['SCRIPT_NAME'] == '/index_dev.php')
    {
        echo '<span class="error">Brak parametru `$obj` w baza_uslug/zajawka_kategoria!</span>';
    }
}
?>

