<?php
if(!empty($obj))
{
    // [PRESET] czy zajawka ma byc wyswietlana w formie okrojonej
    $shrank = isset($shrink) && $shrink == true;

    // [PRESET] alt
    $alt = '';

    // [PRESET] title
    $title = trim($obj->getTytul()).' '.$obj->getNazwa();

    // [PRESET] link
    $link = '@uslg_spec?id='.$obj->getId().'&slug='.Functions::slugify($obj->getNazwa());

    // [PRESET] grafika zajawki
    $img_file = null;
    if(!empty($img_size))
    {
        $sizes = UstawieniePeer::getProperties('graf_config_'.$img_size);
        $prefix = $img_size.'_';
        $imgstyle = '';
        $zaj_file = sfConfig::get('sf_upload_dir').'/baza_uslug/spec_'.$obj->getId().'/thumbnails/'.$prefix.$obj->getGrafikaZajawki();
        if(is_file($zaj_file))
            $img_file = image_tag(str_replace(sfConfig::get('sf_upload_dir'), $sf_request->getRelativeUrlRoot().'/uploads', $zaj_file), array('alt' => $alt, 'style' => $imgstyle));
        else
            $img_file = image_tag('common/def_zaj_'.$img_size.'.png', array('alt' => $alt, 'style' => $imgstyle));
    }

    // *************************************************************************
    ?>

    <div class="zajawka<?php if($shrank) echo ' shrank'; ?>">

        <a href="<?php echo url_for($link); ?>">
            <?php
            // GRAFIKA
            if(!empty($img_size) && !empty($img_file))
            {
                echo '<span class="box-left" style="width:'.$sizes['x'].'px">';
                echo $img_file;
                echo '</span>';
            }
            ?>

            <span class="box-right">

                <?php if(!empty($trafnosc)) echo $trafnosc; ?>

                <span class="title">
                    <?php echo $title; ?>
                </span>

                <?php if(!$shrank): ?>

                    <?php
                    // INFO
                    //Functions::renderInfo($obj, 'getCreatedAt');                    
                    ?>
                    <div class="info">
                        <strong><?php echo __('Specjalizacja'); ?></strong>: <?php echo $obj->getSpecjalizacja(); ?>
                    </div>

                    <span class="tresc">
                        <?php
                        echo $obj->getZajawka();
                        //echo $obj->getDetails();
                        ?>
                    </span>

                    <span class="link">
                        <?php echo __(sfConfig::get('app_see_more_def')); ?>
                    </span>
                <?php endif; ?>

            </span>       

        </a>

    </div>
    <?php
}
else
{
    if($_SERVER['SCRIPT_NAME'] == '/index_dev.php')
    {
        echo '<span class="error">Brak parametru `$obj` w baza_uslug/zajawka_kategoria!</span>';
    }
}
?>
