<?php

require_once(sfConfig::get('sf_lib_dir').'/filter/base/BaseFormFilterPropel.class.php');

/**
 * BazaUslugSpecjalistaI18n filter form base class.
 *
 * @package    sam3
 * @subpackage filter
 * @author     Your name here
 */
class BaseBazaUslugSpecjalistaI18nFormFilter extends BaseFormFilterPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'tytul'                => new sfWidgetFormFilterInput(),
      'nazwa'                => new sfWidgetFormFilterInput(),
      'specjalizacja'        => new sfWidgetFormFilterInput(),
      'zajawka'              => new sfWidgetFormFilterInput(),
      'opis'                 => new sfWidgetFormFilterInput(),
      'tagi'                 => new sfWidgetFormFilterInput(),
      'opis_grafiki_zajawki' => new sfWidgetFormFilterInput(),
    ));

    $this->setValidators(array(
      'tytul'                => new sfValidatorPass(array('required' => false)),
      'nazwa'                => new sfValidatorPass(array('required' => false)),
      'specjalizacja'        => new sfValidatorPass(array('required' => false)),
      'zajawka'              => new sfValidatorPass(array('required' => false)),
      'opis'                 => new sfValidatorPass(array('required' => false)),
      'tagi'                 => new sfValidatorPass(array('required' => false)),
      'opis_grafiki_zajawki' => new sfValidatorPass(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('baza_uslug_specjalista_i18n_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'BazaUslugSpecjalistaI18n';
  }

  public function getFields()
  {
    return array(
      'id'                   => 'ForeignKey',
      'culture'              => 'Text',
      'tytul'                => 'Text',
      'nazwa'                => 'Text',
      'specjalizacja'        => 'Text',
      'zajawka'              => 'Text',
      'opis'                 => 'Text',
      'tagi'                 => 'Text',
      'opis_grafiki_zajawki' => 'Text',
    );
  }
}
