<?php

/**
 * BazaUslugSpecjalistaI18n form.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 */
class BazaUslugSpecjalistaI18nForm extends BaseBazaUslugSpecjalistaI18nForm
{

    public function configure()
    {
        $this->widgetSchema['tytul'] = new sfWidgetFormInput(array(), array('style' => 'width: 302px;'));
        $this->widgetSchema['nazwa'] = new sfWidgetFormInput(array(), array('class' => 'required', 'style' => 'width: 300px;'));
        $this->widgetSchema['specjalizacja'] = new sfWidgetFormInput(array(), array('style' => 'width: 302px;'));
        $this->widgetSchema['zajawka'] = new sfWidgetFormTextarea(array(), array('style' => 'width: 434px;'));
        $this->widgetSchema['opis'] = new sfWidgetFormTextareaTinyMCEUser(
            array('width' => "230", 'height' => '300', 'can_be_adv' => true,
			'uploads_path' => ($this->isNew()) ? 'new' : '/uploads/uslg_specjalista/spec_' . $this->getObject()->getId() . '/',
                ),
            array('class' => 'tiny_mce_'.$this->getObject()->getCulture())
        );
        $this->widgetSchema['tagi'] = new sfWidgetFormInput(array(), array('style' => 'width: 439px;'));
        
        $this->getWidgetSchema()->setLabel('tagi', 'Słowa-klucze');
        
        $this->getWidgetSchema()->setHelp('tytul', 'Tytuł naukowy');
        $this->getWidgetSchema()->setHelp('nazwa', 'Imię i nazwisko specjalisty');
        $this->getWidgetSchema()->setHelp('specjalizacja', 'Dziedzina ekspertyzy, specjalizacja');
        $this->getWidgetSchema()->setHelp('zajawka', 'Skrócony opis zachęcający do przeczytania pełnego opisu. Maksymalnie 255 znaków - automatycznie uzupelniana na podstawie opisu.');
        $this->getWidgetSchema()->setHelp('tagi', 'Często wyszukiwane słowa lub krótkie frazy (oddzielone przecinkiem i spacją).');     

		$this->getWidgetSchema()->getFormFormatter()->setHelpFormat('<br/><span class="help">%help%</span>');
    }

}
