<?php

/**
 * BazaUslugMapaSpecKat form base class.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 */
class BaseBazaUslugMapaSpecKatForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'spec_id' => new sfWidgetFormInputHidden(),
      'kat_id'  => new sfWidgetFormInputHidden(),
    ));

    $this->setValidators(array(
      'spec_id' => new sfValidatorPropelChoice(array('model' => 'BazaUslugSpecjalista', 'column' => 'id', 'required' => false)),
      'kat_id'  => new sfValidatorPropelChoice(array('model' => 'BazaUslugKategoria', 'column' => 'id', 'required' => false)),
    ));

    $this->widgetSchema->setNameFormat('baza_uslug_mapa_spec_kat[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'BazaUslugMapaSpecKat';
  }


}
