<?php

class BazaUslugKategoria extends BaseBazaUslugKategoria
{
    public function __toString()
    {
        $culture = sfContext::getInstance()->getUser()->getCulture();
        return $this->getCurrentBazaUslugKategoriaI18n($culture)->getNazwa();
    }
    
    /**
     * metoda publikujaca te kategorie
     * @author      Tomasz Glowinski, 2014
     */
    public function publicate()
    {
        $this->setStatusId(1);
        $this->save();
    }
    
    /**
     * metoda usuwajaca z publikujacji te kategorie
     * @author      Tomasz Glowinski, 2014
     */
    public function hide()
    {
        $this->setStatusId(0);
        $this->save();
    }
}
