<?php


abstract class BaseBazaUslugKategoriaI18nPeer {

	
	const DATABASE_NAME = 'propel';

	
	const TABLE_NAME = 'uslg_kategoria_i18n';

	
	const CLASS_DEFAULT = 'lib.model.BazaUslugKategoriaI18n';

	
	const NUM_COLUMNS = 6;

	
	const NUM_LAZY_LOAD_COLUMNS = 0;

	
	const ID = 'uslg_kategoria_i18n.ID';

	
	const CULTURE = 'uslg_kategoria_i18n.CULTURE';

	
	const NAZWA = 'uslg_kategoria_i18n.NAZWA';

	
	const ZAJAWKA = 'uslg_kategoria_i18n.ZAJAWKA';

	
	const OPIS = 'uslg_kategoria_i18n.OPIS';

	
	const TAGI = 'uslg_kategoria_i18n.TAGI';

	
	public static $instances = array();

	
	private static $mapBuilder = null;

	
	private static $fieldNames = array (
		BasePeer::TYPE_PHPNAME => array ('Id', 'Culture', 'Nazwa', 'Zajawka', 'Opis', 'Tagi', ),
		BasePeer::TYPE_STUDLYPHPNAME => array ('id', 'culture', 'nazwa', 'zajawka', 'opis', 'tagi', ),
		BasePeer::TYPE_COLNAME => array (self::ID, self::CULTURE, self::NAZWA, self::ZAJAWKA, self::OPIS, self::TAGI, ),
		BasePeer::TYPE_FIELDNAME => array ('id', 'culture', 'nazwa', 'zajawka', 'opis', 'tagi', ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, )
	);

	
	private static $fieldKeys = array (
		BasePeer::TYPE_PHPNAME => array ('Id' => 0, 'Culture' => 1, 'Nazwa' => 2, 'Zajawka' => 3, 'Opis' => 4, 'Tagi' => 5, ),
		BasePeer::TYPE_STUDLYPHPNAME => array ('id' => 0, 'culture' => 1, 'nazwa' => 2, 'zajawka' => 3, 'opis' => 4, 'tagi' => 5, ),
		BasePeer::TYPE_COLNAME => array (self::ID => 0, self::CULTURE => 1, self::NAZWA => 2, self::ZAJAWKA => 3, self::OPIS => 4, self::TAGI => 5, ),
		BasePeer::TYPE_FIELDNAME => array ('id' => 0, 'culture' => 1, 'nazwa' => 2, 'zajawka' => 3, 'opis' => 4, 'tagi' => 5, ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, )
	);

	
	public static function getMapBuilder()
	{
		if (self::$mapBuilder === null) {
			self::$mapBuilder = new BazaUslugKategoriaI18nMapBuilder();
		}
		return self::$mapBuilder;
	}
	
	static public function translateFieldName($name, $fromType, $toType)
	{
		$toNames = self::getFieldNames($toType);
		$key = isset(self::$fieldKeys[$fromType][$name]) ? self::$fieldKeys[$fromType][$name] : null;
		if ($key === null) {
			throw new PropelException("'$name' could not be found in the field names of type '$fromType'. These are: " . print_r(self::$fieldKeys[$fromType], true));
		}
		return $toNames[$key];
	}

	

	static public function getFieldNames($type = BasePeer::TYPE_PHPNAME)
	{
		if (!array_key_exists($type, self::$fieldNames)) {
			throw new PropelException('Method getFieldNames() expects the parameter $type to be one of the class constants BasePeer::TYPE_PHPNAME, BasePeer::TYPE_STUDLYPHPNAME, BasePeer::TYPE_COLNAME, BasePeer::TYPE_FIELDNAME, BasePeer::TYPE_NUM. ' . $type . ' was given.');
		}
		return self::$fieldNames[$type];
	}

	
	public static function alias($alias, $column)
	{
		return str_replace(BazaUslugKategoriaI18nPeer::TABLE_NAME.'.', $alias.'.', $column);
	}

	
	public static function addSelectColumns(Criteria $criteria)
	{

		$criteria->addSelectColumn(BazaUslugKategoriaI18nPeer::ID);

		$criteria->addSelectColumn(BazaUslugKategoriaI18nPeer::CULTURE);

		$criteria->addSelectColumn(BazaUslugKategoriaI18nPeer::NAZWA);

		$criteria->addSelectColumn(BazaUslugKategoriaI18nPeer::ZAJAWKA);

		$criteria->addSelectColumn(BazaUslugKategoriaI18nPeer::OPIS);

		$criteria->addSelectColumn(BazaUslugKategoriaI18nPeer::TAGI);

	}

	
	public static function doCount(Criteria $criteria, $distinct = false, PropelPDO $con = null)
	{
				$criteria = clone $criteria;

								$criteria->setPrimaryTableName(BazaUslugKategoriaI18nPeer::TABLE_NAME);

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			BazaUslugKategoriaI18nPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 		$criteria->setDbName(self::DATABASE_NAME); 
		if ($con === null) {
			$con = Propel::getConnection(BazaUslugKategoriaI18nPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

				$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}
	
	public static function doSelectOne(Criteria $criteria, PropelPDO $con = null)
	{
		$critcopy = clone $criteria;
		$critcopy->setLimit(1);
		$objects = BazaUslugKategoriaI18nPeer::doSelect($critcopy, $con);
		if ($objects) {
			return $objects[0];
		}
		return null;
	}
	
	public static function doSelect(Criteria $criteria, PropelPDO $con = null)
	{
		return BazaUslugKategoriaI18nPeer::populateObjects(BazaUslugKategoriaI18nPeer::doSelectStmt($criteria, $con));
	}
	
	public static function doSelectStmt(Criteria $criteria, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(BazaUslugKategoriaI18nPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		if (!$criteria->hasSelectClause()) {
			$criteria = clone $criteria;
			BazaUslugKategoriaI18nPeer::addSelectColumns($criteria);
		}

				$criteria->setDbName(self::DATABASE_NAME);

				return BasePeer::doSelect($criteria, $con);
	}
	
	public static function addInstanceToPool(BazaUslugKategoriaI18n $obj, $key = null)
	{
		if (Propel::isInstancePoolingEnabled()) {
			if ($key === null) {
				$key = serialize(array((string) $obj->getId(), (string) $obj->getCulture()));
			} 			self::$instances[$key] = $obj;
		}
	}

	
	public static function removeInstanceFromPool($value)
	{
		if (Propel::isInstancePoolingEnabled() && $value !== null) {
			if (is_object($value) && $value instanceof BazaUslugKategoriaI18n) {
				$key = serialize(array((string) $value->getId(), (string) $value->getCulture()));
			} elseif (is_array($value) && count($value) === 2) {
								$key = serialize(array((string) $value[0], (string) $value[1]));
			} else {
				$e = new PropelException("Invalid value passed to removeInstanceFromPool().  Expected primary key or BazaUslugKategoriaI18n object; got " . (is_object($value) ? get_class($value) . ' object.' : var_export($value,true)));
				throw $e;
			}

			unset(self::$instances[$key]);
		}
	} 
	
	public static function getInstanceFromPool($key)
	{
		if (Propel::isInstancePoolingEnabled()) {
			if (isset(self::$instances[$key])) {
				return self::$instances[$key];
			}
		}
		return null; 	}
	
	
	public static function clearInstancePool()
	{
		self::$instances = array();
	}
	
	
	public static function getPrimaryKeyHashFromRow($row, $startcol = 0)
	{
				if ($row[$startcol + 0] === null && $row[$startcol + 1] === null) {
			return null;
		}
		return serialize(array((string) $row[$startcol + 0], (string) $row[$startcol + 1]));
	}

	
	public static function populateObjects(PDOStatement $stmt)
	{
		$results = array();
	
				$cls = BazaUslugKategoriaI18nPeer::getOMClass();
		$cls = substr('.'.$cls, strrpos('.'.$cls, '.') + 1);
				while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key = BazaUslugKategoriaI18nPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj = BazaUslugKategoriaI18nPeer::getInstanceFromPool($key))) {
																$results[] = $obj;
			} else {
		
				$obj = new $cls();
				$obj->hydrate($row);
				$results[] = $obj;
				BazaUslugKategoriaI18nPeer::addInstanceToPool($obj, $key);
			} 		}
		$stmt->closeCursor();
		return $results;
	}

	
	public static function doCountJoinBazaUslugKategoria(Criteria $criteria, $distinct = false, PropelPDO $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
				$criteria = clone $criteria;

								$criteria->setPrimaryTableName(BazaUslugKategoriaI18nPeer::TABLE_NAME);

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			BazaUslugKategoriaI18nPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 
				$criteria->setDbName(self::DATABASE_NAME);

		if ($con === null) {
			$con = Propel::getConnection(BazaUslugKategoriaI18nPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$criteria->addJoin(array(BazaUslugKategoriaI18nPeer::ID,), array(BazaUslugKategoriaPeer::ID,), $join_behavior);

		$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}


	
	public static function doSelectJoinBazaUslugKategoria(Criteria $c, $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		BazaUslugKategoriaI18nPeer::addSelectColumns($c);
		$startcol = (BazaUslugKategoriaI18nPeer::NUM_COLUMNS - BazaUslugKategoriaI18nPeer::NUM_LAZY_LOAD_COLUMNS);
		BazaUslugKategoriaPeer::addSelectColumns($c);

		$c->addJoin(array(BazaUslugKategoriaI18nPeer::ID,), array(BazaUslugKategoriaPeer::ID,), $join_behavior);
		$stmt = BasePeer::doSelect($c, $con);
		$results = array();

		while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key1 = BazaUslugKategoriaI18nPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj1 = BazaUslugKategoriaI18nPeer::getInstanceFromPool($key1))) {
															} else {

				$omClass = BazaUslugKategoriaI18nPeer::getOMClass();

				$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
				$obj1 = new $cls();
				$obj1->hydrate($row);
				BazaUslugKategoriaI18nPeer::addInstanceToPool($obj1, $key1);
			} 
			$key2 = BazaUslugKategoriaPeer::getPrimaryKeyHashFromRow($row, $startcol);
			if ($key2 !== null) {
				$obj2 = BazaUslugKategoriaPeer::getInstanceFromPool($key2);
				if (!$obj2) {

					$omClass = BazaUslugKategoriaPeer::getOMClass();

					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj2 = new $cls();
					$obj2->hydrate($row, $startcol);
					BazaUslugKategoriaPeer::addInstanceToPool($obj2, $key2);
				} 
								$obj2->addBazaUslugKategoriaI18n($obj1);

			} 
			$results[] = $obj1;
		}
		$stmt->closeCursor();
		return $results;
	}


	
	public static function doCountJoinAll(Criteria $criteria, $distinct = false, PropelPDO $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
				$criteria = clone $criteria;

								$criteria->setPrimaryTableName(BazaUslugKategoriaI18nPeer::TABLE_NAME);

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			BazaUslugKategoriaI18nPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 
				$criteria->setDbName(self::DATABASE_NAME);

		if ($con === null) {
			$con = Propel::getConnection(BazaUslugKategoriaI18nPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$criteria->addJoin(array(BazaUslugKategoriaI18nPeer::ID,), array(BazaUslugKategoriaPeer::ID,), $join_behavior);
		$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}

	
	public static function doSelectJoinAll(Criteria $c, $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		BazaUslugKategoriaI18nPeer::addSelectColumns($c);
		$startcol2 = (BazaUslugKategoriaI18nPeer::NUM_COLUMNS - BazaUslugKategoriaI18nPeer::NUM_LAZY_LOAD_COLUMNS);

		BazaUslugKategoriaPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + (BazaUslugKategoriaPeer::NUM_COLUMNS - BazaUslugKategoriaPeer::NUM_LAZY_LOAD_COLUMNS);

		$c->addJoin(array(BazaUslugKategoriaI18nPeer::ID,), array(BazaUslugKategoriaPeer::ID,), $join_behavior);
		$stmt = BasePeer::doSelect($c, $con);
		$results = array();

		while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key1 = BazaUslugKategoriaI18nPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj1 = BazaUslugKategoriaI18nPeer::getInstanceFromPool($key1))) {
															} else {
				$omClass = BazaUslugKategoriaI18nPeer::getOMClass();

				$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
				$obj1 = new $cls();
				$obj1->hydrate($row);
				BazaUslugKategoriaI18nPeer::addInstanceToPool($obj1, $key1);
			} 
			
			$key2 = BazaUslugKategoriaPeer::getPrimaryKeyHashFromRow($row, $startcol2);
			if ($key2 !== null) {
				$obj2 = BazaUslugKategoriaPeer::getInstanceFromPool($key2);
				if (!$obj2) {

					$omClass = BazaUslugKategoriaPeer::getOMClass();


					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj2 = new $cls();
					$obj2->hydrate($row, $startcol2);
					BazaUslugKategoriaPeer::addInstanceToPool($obj2, $key2);
				} 
								$obj2->addBazaUslugKategoriaI18n($obj1);
			} 
			$results[] = $obj1;
		}
		$stmt->closeCursor();
		return $results;
	}


  static public function getUniqueColumnNames()
  {
    return array();
  }
	
	public static function getTableMap()
	{
		return Propel::getDatabaseMap(self::DATABASE_NAME)->getTable(self::TABLE_NAME);
	}

	
	public static function getOMClass()
	{
		return BazaUslugKategoriaI18nPeer::CLASS_DEFAULT;
	}

	
	public static function doInsert($values, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(BazaUslugKategoriaI18nPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		if ($values instanceof Criteria) {
			$criteria = clone $values; 		} else {
			$criteria = $values->buildCriteria(); 		}


				$criteria->setDbName(self::DATABASE_NAME);

		try {
									$con->beginTransaction();
			$pk = BasePeer::doInsert($criteria, $con);
			$con->commit();
		} catch(PropelException $e) {
			$con->rollBack();
			throw $e;
		}

		return $pk;
	}

	
	public static function doUpdate($values, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(BazaUslugKategoriaI18nPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		$selectCriteria = new Criteria(self::DATABASE_NAME);

		if ($values instanceof Criteria) {
			$criteria = clone $values; 
			$comparison = $criteria->getComparison(BazaUslugKategoriaI18nPeer::ID);
			$selectCriteria->add(BazaUslugKategoriaI18nPeer::ID, $criteria->remove(BazaUslugKategoriaI18nPeer::ID), $comparison);

			$comparison = $criteria->getComparison(BazaUslugKategoriaI18nPeer::CULTURE);
			$selectCriteria->add(BazaUslugKategoriaI18nPeer::CULTURE, $criteria->remove(BazaUslugKategoriaI18nPeer::CULTURE), $comparison);

		} else { 			$criteria = $values->buildCriteria(); 			$selectCriteria = $values->buildPkeyCriteria(); 		}

				$criteria->setDbName(self::DATABASE_NAME);

		return BasePeer::doUpdate($selectCriteria, $criteria, $con);
	}

	
	public static function doDeleteAll($con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(BazaUslugKategoriaI18nPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}
		$affectedRows = 0; 		try {
									$con->beginTransaction();
			$affectedRows += BasePeer::doDeleteAll(BazaUslugKategoriaI18nPeer::TABLE_NAME, $con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	 public static function doDelete($values, PropelPDO $con = null)
	 {
		if ($con === null) {
			$con = Propel::getConnection(BazaUslugKategoriaI18nPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		if ($values instanceof Criteria) {
												BazaUslugKategoriaI18nPeer::clearInstancePool();

						$criteria = clone $values;
		} elseif ($values instanceof BazaUslugKategoriaI18n) {
						BazaUslugKategoriaI18nPeer::removeInstanceFromPool($values);
						$criteria = $values->buildPkeyCriteria();
		} else {
			


			$criteria = new Criteria(self::DATABASE_NAME);
												if (count($values) == count($values, COUNT_RECURSIVE)) {
								$values = array($values);
			}

			foreach ($values as $value) {

				$criterion = $criteria->getNewCriterion(BazaUslugKategoriaI18nPeer::ID, $value[0]);
				$criterion->addAnd($criteria->getNewCriterion(BazaUslugKategoriaI18nPeer::CULTURE, $value[1]));
				$criteria->addOr($criterion);

								BazaUslugKategoriaI18nPeer::removeInstanceFromPool($value);
			}
		}

				$criteria->setDbName(self::DATABASE_NAME);

		$affectedRows = 0; 
		try {
									$con->beginTransaction();
			
			$affectedRows += BasePeer::doDelete($criteria, $con);

			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	public static function doValidate(BazaUslugKategoriaI18n $obj, $cols = null)
	{
		$columns = array();

		if ($cols) {
			$dbMap = Propel::getDatabaseMap(BazaUslugKategoriaI18nPeer::DATABASE_NAME);
			$tableMap = $dbMap->getTable(BazaUslugKategoriaI18nPeer::TABLE_NAME);

			if (! is_array($cols)) {
				$cols = array($cols);
			}

			foreach ($cols as $colName) {
				if ($tableMap->containsColumn($colName)) {
					$get = 'get' . $tableMap->getColumn($colName)->getPhpName();
					$columns[$colName] = $obj->$get();
				}
			}
		} else {

		}

		$res =  BasePeer::doValidate(BazaUslugKategoriaI18nPeer::DATABASE_NAME, BazaUslugKategoriaI18nPeer::TABLE_NAME, $columns);
    if ($res !== true) {
        $request = sfContext::getInstance()->getRequest();
        foreach ($res as $failed) {
            $col = BazaUslugKategoriaI18nPeer::translateFieldname($failed->getColumn(), BasePeer::TYPE_COLNAME, BasePeer::TYPE_PHPNAME);
        }
    }

    return $res;
	}

	
	public static function retrieveByPK($id, $culture, PropelPDO $con = null) {
		$key = serialize(array((string) $id, (string) $culture));
 		if (null !== ($obj = BazaUslugKategoriaI18nPeer::getInstanceFromPool($key))) {
 			return $obj;
		}

		if ($con === null) {
			$con = Propel::getConnection(BazaUslugKategoriaI18nPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}
		$criteria = new Criteria(BazaUslugKategoriaI18nPeer::DATABASE_NAME);
		$criteria->add(BazaUslugKategoriaI18nPeer::ID, $id);
		$criteria->add(BazaUslugKategoriaI18nPeer::CULTURE, $culture);
		$v = BazaUslugKategoriaI18nPeer::doSelect($criteria, $con);

		return !empty($v) ? $v[0] : null;
	}
} 

Propel::getDatabaseMap(BaseBazaUslugKategoriaI18nPeer::DATABASE_NAME)->addTableBuilder(BaseBazaUslugKategoriaI18nPeer::TABLE_NAME, BaseBazaUslugKategoriaI18nPeer::getMapBuilder());

