<?php


abstract class BaseBazaUslugMapaUslgKatPeer {

	
	const DATABASE_NAME = 'propel';

	
	const TABLE_NAME = 'uslg_mapa_uslg_kat';

	
	const CLASS_DEFAULT = 'lib.model.BazaUslugMapaUslgKat';

	
	const NUM_COLUMNS = 2;

	
	const NUM_LAZY_LOAD_COLUMNS = 0;

	
	const USLG_ID = 'uslg_mapa_uslg_kat.USLG_ID';

	
	const KAT_ID = 'uslg_mapa_uslg_kat.KAT_ID';

	
	public static $instances = array();

	
	private static $mapBuilder = null;

	
	private static $fieldNames = array (
		BasePeer::TYPE_PHPNAME => array ('UslgId', 'KatId', ),
		BasePeer::TYPE_STUDLYPHPNAME => array ('uslgId', 'katId', ),
		BasePeer::TYPE_COLNAME => array (self::USLG_ID, self::KAT_ID, ),
		BasePeer::TYPE_FIELDNAME => array ('uslg_id', 'kat_id', ),
		BasePeer::TYPE_NUM => array (0, 1, )
	);

	
	private static $fieldKeys = array (
		BasePeer::TYPE_PHPNAME => array ('UslgId' => 0, 'KatId' => 1, ),
		BasePeer::TYPE_STUDLYPHPNAME => array ('uslgId' => 0, 'katId' => 1, ),
		BasePeer::TYPE_COLNAME => array (self::USLG_ID => 0, self::KAT_ID => 1, ),
		BasePeer::TYPE_FIELDNAME => array ('uslg_id' => 0, 'kat_id' => 1, ),
		BasePeer::TYPE_NUM => array (0, 1, )
	);

	
	public static function getMapBuilder()
	{
		if (self::$mapBuilder === null) {
			self::$mapBuilder = new BazaUslugMapaUslgKatMapBuilder();
		}
		return self::$mapBuilder;
	}
	
	static public function translateFieldName($name, $fromType, $toType)
	{
		$toNames = self::getFieldNames($toType);
		$key = isset(self::$fieldKeys[$fromType][$name]) ? self::$fieldKeys[$fromType][$name] : null;
		if ($key === null) {
			throw new PropelException("'$name' could not be found in the field names of type '$fromType'. These are: " . print_r(self::$fieldKeys[$fromType], true));
		}
		return $toNames[$key];
	}

	

	static public function getFieldNames($type = BasePeer::TYPE_PHPNAME)
	{
		if (!array_key_exists($type, self::$fieldNames)) {
			throw new PropelException('Method getFieldNames() expects the parameter $type to be one of the class constants BasePeer::TYPE_PHPNAME, BasePeer::TYPE_STUDLYPHPNAME, BasePeer::TYPE_COLNAME, BasePeer::TYPE_FIELDNAME, BasePeer::TYPE_NUM. ' . $type . ' was given.');
		}
		return self::$fieldNames[$type];
	}

	
	public static function alias($alias, $column)
	{
		return str_replace(BazaUslugMapaUslgKatPeer::TABLE_NAME.'.', $alias.'.', $column);
	}

	
	public static function addSelectColumns(Criteria $criteria)
	{

		$criteria->addSelectColumn(BazaUslugMapaUslgKatPeer::USLG_ID);

		$criteria->addSelectColumn(BazaUslugMapaUslgKatPeer::KAT_ID);

	}

	
	public static function doCount(Criteria $criteria, $distinct = false, PropelPDO $con = null)
	{
				$criteria = clone $criteria;

								$criteria->setPrimaryTableName(BazaUslugMapaUslgKatPeer::TABLE_NAME);

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			BazaUslugMapaUslgKatPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 		$criteria->setDbName(self::DATABASE_NAME); 
		if ($con === null) {
			$con = Propel::getConnection(BazaUslugMapaUslgKatPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

				$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}
	
	public static function doSelectOne(Criteria $criteria, PropelPDO $con = null)
	{
		$critcopy = clone $criteria;
		$critcopy->setLimit(1);
		$objects = BazaUslugMapaUslgKatPeer::doSelect($critcopy, $con);
		if ($objects) {
			return $objects[0];
		}
		return null;
	}
	
	public static function doSelect(Criteria $criteria, PropelPDO $con = null)
	{
		return BazaUslugMapaUslgKatPeer::populateObjects(BazaUslugMapaUslgKatPeer::doSelectStmt($criteria, $con));
	}
	
	public static function doSelectStmt(Criteria $criteria, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(BazaUslugMapaUslgKatPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		if (!$criteria->hasSelectClause()) {
			$criteria = clone $criteria;
			BazaUslugMapaUslgKatPeer::addSelectColumns($criteria);
		}

				$criteria->setDbName(self::DATABASE_NAME);

				return BasePeer::doSelect($criteria, $con);
	}
	
	public static function addInstanceToPool(BazaUslugMapaUslgKat $obj, $key = null)
	{
		if (Propel::isInstancePoolingEnabled()) {
			if ($key === null) {
				$key = serialize(array((string) $obj->getUslgId(), (string) $obj->getKatId()));
			} 			self::$instances[$key] = $obj;
		}
	}

	
	public static function removeInstanceFromPool($value)
	{
		if (Propel::isInstancePoolingEnabled() && $value !== null) {
			if (is_object($value) && $value instanceof BazaUslugMapaUslgKat) {
				$key = serialize(array((string) $value->getUslgId(), (string) $value->getKatId()));
			} elseif (is_array($value) && count($value) === 2) {
								$key = serialize(array((string) $value[0], (string) $value[1]));
			} else {
				$e = new PropelException("Invalid value passed to removeInstanceFromPool().  Expected primary key or BazaUslugMapaUslgKat object; got " . (is_object($value) ? get_class($value) . ' object.' : var_export($value,true)));
				throw $e;
			}

			unset(self::$instances[$key]);
		}
	} 
	
	public static function getInstanceFromPool($key)
	{
		if (Propel::isInstancePoolingEnabled()) {
			if (isset(self::$instances[$key])) {
				return self::$instances[$key];
			}
		}
		return null; 	}
	
	
	public static function clearInstancePool()
	{
		self::$instances = array();
	}
	
	
	public static function getPrimaryKeyHashFromRow($row, $startcol = 0)
	{
				if ($row[$startcol + 0] === null && $row[$startcol + 1] === null) {
			return null;
		}
		return serialize(array((string) $row[$startcol + 0], (string) $row[$startcol + 1]));
	}

	
	public static function populateObjects(PDOStatement $stmt)
	{
		$results = array();
	
				$cls = BazaUslugMapaUslgKatPeer::getOMClass();
		$cls = substr('.'.$cls, strrpos('.'.$cls, '.') + 1);
				while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key = BazaUslugMapaUslgKatPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj = BazaUslugMapaUslgKatPeer::getInstanceFromPool($key))) {
																$results[] = $obj;
			} else {
		
				$obj = new $cls();
				$obj->hydrate($row);
				$results[] = $obj;
				BazaUslugMapaUslgKatPeer::addInstanceToPool($obj, $key);
			} 		}
		$stmt->closeCursor();
		return $results;
	}

	
	public static function doCountJoinBazaUslugUsluga(Criteria $criteria, $distinct = false, PropelPDO $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
				$criteria = clone $criteria;

								$criteria->setPrimaryTableName(BazaUslugMapaUslgKatPeer::TABLE_NAME);

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			BazaUslugMapaUslgKatPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 
				$criteria->setDbName(self::DATABASE_NAME);

		if ($con === null) {
			$con = Propel::getConnection(BazaUslugMapaUslgKatPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$criteria->addJoin(array(BazaUslugMapaUslgKatPeer::USLG_ID,), array(BazaUslugUslugaPeer::ID,), $join_behavior);

		$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}


	
	public static function doCountJoinBazaUslugKategoria(Criteria $criteria, $distinct = false, PropelPDO $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
				$criteria = clone $criteria;

								$criteria->setPrimaryTableName(BazaUslugMapaUslgKatPeer::TABLE_NAME);

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			BazaUslugMapaUslgKatPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 
				$criteria->setDbName(self::DATABASE_NAME);

		if ($con === null) {
			$con = Propel::getConnection(BazaUslugMapaUslgKatPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$criteria->addJoin(array(BazaUslugMapaUslgKatPeer::KAT_ID,), array(BazaUslugKategoriaPeer::ID,), $join_behavior);

		$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}


	
	public static function doSelectJoinBazaUslugUsluga(Criteria $c, $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		BazaUslugMapaUslgKatPeer::addSelectColumns($c);
		$startcol = (BazaUslugMapaUslgKatPeer::NUM_COLUMNS - BazaUslugMapaUslgKatPeer::NUM_LAZY_LOAD_COLUMNS);
		BazaUslugUslugaPeer::addSelectColumns($c);

		$c->addJoin(array(BazaUslugMapaUslgKatPeer::USLG_ID,), array(BazaUslugUslugaPeer::ID,), $join_behavior);
		$stmt = BasePeer::doSelect($c, $con);
		$results = array();

		while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key1 = BazaUslugMapaUslgKatPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj1 = BazaUslugMapaUslgKatPeer::getInstanceFromPool($key1))) {
															} else {

				$omClass = BazaUslugMapaUslgKatPeer::getOMClass();

				$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
				$obj1 = new $cls();
				$obj1->hydrate($row);
				BazaUslugMapaUslgKatPeer::addInstanceToPool($obj1, $key1);
			} 
			$key2 = BazaUslugUslugaPeer::getPrimaryKeyHashFromRow($row, $startcol);
			if ($key2 !== null) {
				$obj2 = BazaUslugUslugaPeer::getInstanceFromPool($key2);
				if (!$obj2) {

					$omClass = BazaUslugUslugaPeer::getOMClass();

					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj2 = new $cls();
					$obj2->hydrate($row, $startcol);
					BazaUslugUslugaPeer::addInstanceToPool($obj2, $key2);
				} 
								$obj2->addBazaUslugMapaUslgKat($obj1);

			} 
			$results[] = $obj1;
		}
		$stmt->closeCursor();
		return $results;
	}


	
	public static function doSelectJoinBazaUslugKategoria(Criteria $c, $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		BazaUslugMapaUslgKatPeer::addSelectColumns($c);
		$startcol = (BazaUslugMapaUslgKatPeer::NUM_COLUMNS - BazaUslugMapaUslgKatPeer::NUM_LAZY_LOAD_COLUMNS);
		BazaUslugKategoriaPeer::addSelectColumns($c);

		$c->addJoin(array(BazaUslugMapaUslgKatPeer::KAT_ID,), array(BazaUslugKategoriaPeer::ID,), $join_behavior);
		$stmt = BasePeer::doSelect($c, $con);
		$results = array();

		while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key1 = BazaUslugMapaUslgKatPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj1 = BazaUslugMapaUslgKatPeer::getInstanceFromPool($key1))) {
															} else {

				$omClass = BazaUslugMapaUslgKatPeer::getOMClass();

				$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
				$obj1 = new $cls();
				$obj1->hydrate($row);
				BazaUslugMapaUslgKatPeer::addInstanceToPool($obj1, $key1);
			} 
			$key2 = BazaUslugKategoriaPeer::getPrimaryKeyHashFromRow($row, $startcol);
			if ($key2 !== null) {
				$obj2 = BazaUslugKategoriaPeer::getInstanceFromPool($key2);
				if (!$obj2) {

					$omClass = BazaUslugKategoriaPeer::getOMClass();

					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj2 = new $cls();
					$obj2->hydrate($row, $startcol);
					BazaUslugKategoriaPeer::addInstanceToPool($obj2, $key2);
				} 
								$obj2->addBazaUslugMapaUslgKat($obj1);

			} 
			$results[] = $obj1;
		}
		$stmt->closeCursor();
		return $results;
	}


	
	public static function doCountJoinAll(Criteria $criteria, $distinct = false, PropelPDO $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
				$criteria = clone $criteria;

								$criteria->setPrimaryTableName(BazaUslugMapaUslgKatPeer::TABLE_NAME);

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			BazaUslugMapaUslgKatPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 
				$criteria->setDbName(self::DATABASE_NAME);

		if ($con === null) {
			$con = Propel::getConnection(BazaUslugMapaUslgKatPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$criteria->addJoin(array(BazaUslugMapaUslgKatPeer::USLG_ID,), array(BazaUslugUslugaPeer::ID,), $join_behavior);
		$criteria->addJoin(array(BazaUslugMapaUslgKatPeer::KAT_ID,), array(BazaUslugKategoriaPeer::ID,), $join_behavior);
		$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}

	
	public static function doSelectJoinAll(Criteria $c, $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		BazaUslugMapaUslgKatPeer::addSelectColumns($c);
		$startcol2 = (BazaUslugMapaUslgKatPeer::NUM_COLUMNS - BazaUslugMapaUslgKatPeer::NUM_LAZY_LOAD_COLUMNS);

		BazaUslugUslugaPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + (BazaUslugUslugaPeer::NUM_COLUMNS - BazaUslugUslugaPeer::NUM_LAZY_LOAD_COLUMNS);

		BazaUslugKategoriaPeer::addSelectColumns($c);
		$startcol4 = $startcol3 + (BazaUslugKategoriaPeer::NUM_COLUMNS - BazaUslugKategoriaPeer::NUM_LAZY_LOAD_COLUMNS);

		$c->addJoin(array(BazaUslugMapaUslgKatPeer::USLG_ID,), array(BazaUslugUslugaPeer::ID,), $join_behavior);
		$c->addJoin(array(BazaUslugMapaUslgKatPeer::KAT_ID,), array(BazaUslugKategoriaPeer::ID,), $join_behavior);
		$stmt = BasePeer::doSelect($c, $con);
		$results = array();

		while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key1 = BazaUslugMapaUslgKatPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj1 = BazaUslugMapaUslgKatPeer::getInstanceFromPool($key1))) {
															} else {
				$omClass = BazaUslugMapaUslgKatPeer::getOMClass();

				$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
				$obj1 = new $cls();
				$obj1->hydrate($row);
				BazaUslugMapaUslgKatPeer::addInstanceToPool($obj1, $key1);
			} 
			
			$key2 = BazaUslugUslugaPeer::getPrimaryKeyHashFromRow($row, $startcol2);
			if ($key2 !== null) {
				$obj2 = BazaUslugUslugaPeer::getInstanceFromPool($key2);
				if (!$obj2) {

					$omClass = BazaUslugUslugaPeer::getOMClass();


					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj2 = new $cls();
					$obj2->hydrate($row, $startcol2);
					BazaUslugUslugaPeer::addInstanceToPool($obj2, $key2);
				} 
								$obj2->addBazaUslugMapaUslgKat($obj1);
			} 
			
			$key3 = BazaUslugKategoriaPeer::getPrimaryKeyHashFromRow($row, $startcol3);
			if ($key3 !== null) {
				$obj3 = BazaUslugKategoriaPeer::getInstanceFromPool($key3);
				if (!$obj3) {

					$omClass = BazaUslugKategoriaPeer::getOMClass();


					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj3 = new $cls();
					$obj3->hydrate($row, $startcol3);
					BazaUslugKategoriaPeer::addInstanceToPool($obj3, $key3);
				} 
								$obj3->addBazaUslugMapaUslgKat($obj1);
			} 
			$results[] = $obj1;
		}
		$stmt->closeCursor();
		return $results;
	}


	
	public static function doCountJoinAllExceptBazaUslugUsluga(Criteria $criteria, $distinct = false, PropelPDO $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
				$criteria = clone $criteria;

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			BazaUslugMapaUslgKatPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 
				$criteria->setDbName(self::DATABASE_NAME);

		if ($con === null) {
			$con = Propel::getConnection(BazaUslugMapaUslgKatPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}
	
				$criteria->addJoin(array(BazaUslugMapaUslgKatPeer::KAT_ID,), array(BazaUslugKategoriaPeer::ID,), $join_behavior);
		$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}


	
	public static function doCountJoinAllExceptBazaUslugKategoria(Criteria $criteria, $distinct = false, PropelPDO $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
				$criteria = clone $criteria;

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			BazaUslugMapaUslgKatPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 
				$criteria->setDbName(self::DATABASE_NAME);

		if ($con === null) {
			$con = Propel::getConnection(BazaUslugMapaUslgKatPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}
	
				$criteria->addJoin(array(BazaUslugMapaUslgKatPeer::USLG_ID,), array(BazaUslugUslugaPeer::ID,), $join_behavior);
		$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}


	
	public static function doSelectJoinAllExceptBazaUslugUsluga(Criteria $c, $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
		$c = clone $c;

								if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		BazaUslugMapaUslgKatPeer::addSelectColumns($c);
		$startcol2 = (BazaUslugMapaUslgKatPeer::NUM_COLUMNS - BazaUslugMapaUslgKatPeer::NUM_LAZY_LOAD_COLUMNS);

		BazaUslugKategoriaPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + (BazaUslugKategoriaPeer::NUM_COLUMNS - BazaUslugKategoriaPeer::NUM_LAZY_LOAD_COLUMNS);

				$c->addJoin(array(BazaUslugMapaUslgKatPeer::KAT_ID,), array(BazaUslugKategoriaPeer::ID,), $join_behavior);

		$stmt = BasePeer::doSelect($c, $con);
		$results = array();

		while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key1 = BazaUslugMapaUslgKatPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj1 = BazaUslugMapaUslgKatPeer::getInstanceFromPool($key1))) {
															} else {
				$omClass = BazaUslugMapaUslgKatPeer::getOMClass();

				$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
				$obj1 = new $cls();
				$obj1->hydrate($row);
				BazaUslugMapaUslgKatPeer::addInstanceToPool($obj1, $key1);
			} 
				
				$key2 = BazaUslugKategoriaPeer::getPrimaryKeyHashFromRow($row, $startcol2);
				if ($key2 !== null) {
					$obj2 = BazaUslugKategoriaPeer::getInstanceFromPool($key2);
					if (!$obj2) {
	
						$omClass = BazaUslugKategoriaPeer::getOMClass();


					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj2 = new $cls();
					$obj2->hydrate($row, $startcol2);
					BazaUslugKategoriaPeer::addInstanceToPool($obj2, $key2);
				} 
								$obj2->addBazaUslugMapaUslgKat($obj1);

			} 
			$results[] = $obj1;
		}
		$stmt->closeCursor();
		return $results;
	}


	
	public static function doSelectJoinAllExceptBazaUslugKategoria(Criteria $c, $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
		$c = clone $c;

								if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		BazaUslugMapaUslgKatPeer::addSelectColumns($c);
		$startcol2 = (BazaUslugMapaUslgKatPeer::NUM_COLUMNS - BazaUslugMapaUslgKatPeer::NUM_LAZY_LOAD_COLUMNS);

		BazaUslugUslugaPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + (BazaUslugUslugaPeer::NUM_COLUMNS - BazaUslugUslugaPeer::NUM_LAZY_LOAD_COLUMNS);

				$c->addJoin(array(BazaUslugMapaUslgKatPeer::USLG_ID,), array(BazaUslugUslugaPeer::ID,), $join_behavior);

		$stmt = BasePeer::doSelect($c, $con);
		$results = array();

		while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key1 = BazaUslugMapaUslgKatPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj1 = BazaUslugMapaUslgKatPeer::getInstanceFromPool($key1))) {
															} else {
				$omClass = BazaUslugMapaUslgKatPeer::getOMClass();

				$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
				$obj1 = new $cls();
				$obj1->hydrate($row);
				BazaUslugMapaUslgKatPeer::addInstanceToPool($obj1, $key1);
			} 
				
				$key2 = BazaUslugUslugaPeer::getPrimaryKeyHashFromRow($row, $startcol2);
				if ($key2 !== null) {
					$obj2 = BazaUslugUslugaPeer::getInstanceFromPool($key2);
					if (!$obj2) {
	
						$omClass = BazaUslugUslugaPeer::getOMClass();


					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj2 = new $cls();
					$obj2->hydrate($row, $startcol2);
					BazaUslugUslugaPeer::addInstanceToPool($obj2, $key2);
				} 
								$obj2->addBazaUslugMapaUslgKat($obj1);

			} 
			$results[] = $obj1;
		}
		$stmt->closeCursor();
		return $results;
	}


  static public function getUniqueColumnNames()
  {
    return array();
  }
	
	public static function getTableMap()
	{
		return Propel::getDatabaseMap(self::DATABASE_NAME)->getTable(self::TABLE_NAME);
	}

	
	public static function getOMClass()
	{
		return BazaUslugMapaUslgKatPeer::CLASS_DEFAULT;
	}

	
	public static function doInsert($values, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(BazaUslugMapaUslgKatPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		if ($values instanceof Criteria) {
			$criteria = clone $values; 		} else {
			$criteria = $values->buildCriteria(); 		}


				$criteria->setDbName(self::DATABASE_NAME);

		try {
									$con->beginTransaction();
			$pk = BasePeer::doInsert($criteria, $con);
			$con->commit();
		} catch(PropelException $e) {
			$con->rollBack();
			throw $e;
		}

		return $pk;
	}

	
	public static function doUpdate($values, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(BazaUslugMapaUslgKatPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		$selectCriteria = new Criteria(self::DATABASE_NAME);

		if ($values instanceof Criteria) {
			$criteria = clone $values; 
			$comparison = $criteria->getComparison(BazaUslugMapaUslgKatPeer::USLG_ID);
			$selectCriteria->add(BazaUslugMapaUslgKatPeer::USLG_ID, $criteria->remove(BazaUslugMapaUslgKatPeer::USLG_ID), $comparison);

			$comparison = $criteria->getComparison(BazaUslugMapaUslgKatPeer::KAT_ID);
			$selectCriteria->add(BazaUslugMapaUslgKatPeer::KAT_ID, $criteria->remove(BazaUslugMapaUslgKatPeer::KAT_ID), $comparison);

		} else { 			$criteria = $values->buildCriteria(); 			$selectCriteria = $values->buildPkeyCriteria(); 		}

				$criteria->setDbName(self::DATABASE_NAME);

		return BasePeer::doUpdate($selectCriteria, $criteria, $con);
	}

	
	public static function doDeleteAll($con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(BazaUslugMapaUslgKatPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}
		$affectedRows = 0; 		try {
									$con->beginTransaction();
			$affectedRows += BasePeer::doDeleteAll(BazaUslugMapaUslgKatPeer::TABLE_NAME, $con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	 public static function doDelete($values, PropelPDO $con = null)
	 {
		if ($con === null) {
			$con = Propel::getConnection(BazaUslugMapaUslgKatPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		if ($values instanceof Criteria) {
												BazaUslugMapaUslgKatPeer::clearInstancePool();

						$criteria = clone $values;
		} elseif ($values instanceof BazaUslugMapaUslgKat) {
						BazaUslugMapaUslgKatPeer::removeInstanceFromPool($values);
						$criteria = $values->buildPkeyCriteria();
		} else {
			


			$criteria = new Criteria(self::DATABASE_NAME);
												if (count($values) == count($values, COUNT_RECURSIVE)) {
								$values = array($values);
			}

			foreach ($values as $value) {

				$criterion = $criteria->getNewCriterion(BazaUslugMapaUslgKatPeer::USLG_ID, $value[0]);
				$criterion->addAnd($criteria->getNewCriterion(BazaUslugMapaUslgKatPeer::KAT_ID, $value[1]));
				$criteria->addOr($criterion);

								BazaUslugMapaUslgKatPeer::removeInstanceFromPool($value);
			}
		}

				$criteria->setDbName(self::DATABASE_NAME);

		$affectedRows = 0; 
		try {
									$con->beginTransaction();
			
			$affectedRows += BasePeer::doDelete($criteria, $con);

			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	public static function doValidate(BazaUslugMapaUslgKat $obj, $cols = null)
	{
		$columns = array();

		if ($cols) {
			$dbMap = Propel::getDatabaseMap(BazaUslugMapaUslgKatPeer::DATABASE_NAME);
			$tableMap = $dbMap->getTable(BazaUslugMapaUslgKatPeer::TABLE_NAME);

			if (! is_array($cols)) {
				$cols = array($cols);
			}

			foreach ($cols as $colName) {
				if ($tableMap->containsColumn($colName)) {
					$get = 'get' . $tableMap->getColumn($colName)->getPhpName();
					$columns[$colName] = $obj->$get();
				}
			}
		} else {

		}

		$res =  BasePeer::doValidate(BazaUslugMapaUslgKatPeer::DATABASE_NAME, BazaUslugMapaUslgKatPeer::TABLE_NAME, $columns);
    if ($res !== true) {
        $request = sfContext::getInstance()->getRequest();
        foreach ($res as $failed) {
            $col = BazaUslugMapaUslgKatPeer::translateFieldname($failed->getColumn(), BasePeer::TYPE_COLNAME, BasePeer::TYPE_PHPNAME);
        }
    }

    return $res;
	}

	
	public static function retrieveByPK($uslg_id, $kat_id, PropelPDO $con = null) {
		$key = serialize(array((string) $uslg_id, (string) $kat_id));
 		if (null !== ($obj = BazaUslugMapaUslgKatPeer::getInstanceFromPool($key))) {
 			return $obj;
		}

		if ($con === null) {
			$con = Propel::getConnection(BazaUslugMapaUslgKatPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}
		$criteria = new Criteria(BazaUslugMapaUslgKatPeer::DATABASE_NAME);
		$criteria->add(BazaUslugMapaUslgKatPeer::USLG_ID, $uslg_id);
		$criteria->add(BazaUslugMapaUslgKatPeer::KAT_ID, $kat_id);
		$v = BazaUslugMapaUslgKatPeer::doSelect($criteria, $con);

		return !empty($v) ? $v[0] : null;
	}
} 

Propel::getDatabaseMap(BaseBazaUslugMapaUslgKatPeer::DATABASE_NAME)->addTableBuilder(BaseBazaUslugMapaUslgKatPeer::TABLE_NAME, BaseBazaUslugMapaUslgKatPeer::getMapBuilder());

