<?php if($field->isPartial()): ?>
    <?php include_partial('uslg_specjalista/'.$name, array('form' => $form, 'attributes' => $attributes instanceof sfOutputEscaper ? $attributes->getRawValue() : $attributes)) ?>
<?php elseif($field->isComponent()): ?>
    <?php include_component('uslg_specjalista', $name, array('form' => $form, 'attributes' => $attributes instanceof sfOutputEscaper ? $attributes->getRawValue() : $attributes)) ?>
<?php else: ?>
    <tr class="<?php echo $class ?><?php $form[$name]->hasError() and print ' errors' ?>">
        <td valign="top">
            <b><?php echo $form[$name]->renderLabel($label) ?></b>
        </td>
        <td valign="top">
            <?php echo $form[$name]->renderError() ?>
            <?php echo $form[$name]->render($attributes instanceof sfOutputEscaper ? $attributes->getRawValue() : $attributes) ?>
            <?php            
            $minis = array('mini' => __('Miniaturka'), 'thumb' => __('Zajawka listy'), 'normal' => __('Zajawka treści'));
            $config_prefix = 'graf_config_';
            $orig_img = '../uploads/uslg_specjalista/spec_'.$form['id']->getValue().'/'.$form[$name]->getValue();
            $save_url = url_for("uslg_specjalista/thumbnailSave?size=__SIZE__");
            $return_url = url_for('baza_uslug_specjalista_edit', $form->getObject());
            
            if($name == 'grafika_zajawki' && $form[$name]->getValue())
                foreach($minis as $mini => $label)
                {
                    $size = UstawieniePeer::getProperties($config_prefix.$mini);
                    if(!array_key_exists('x', $size) || !array_key_exists('y', $size))
                        $size = sfConfig::get('app_size_'.$mini);

                    include_partial('frontend/editPix', array(
                        'nazwa' => $mini,
                        'size_x' => $size['x'],
                        'size_y' => $size['y'],
                        'name' => $label,
                        'in_file' => image_path($orig_img),
                        'out_url' => str_replace('__SIZE__', $mini, $save_url),
                        'return_url' => $return_url,
                    ));
                }
            
            
            ?>
            <div class="cl" style="height: 5px;"></div>
            
            <?php if($help): ?>
                <div class="help"><?php echo __($help, array(), 'messages') ?></div>
            <?php elseif($help = $form[$name]->renderHelp()): ?>
                <div class="help"><?php echo $help ?></div>
            <?php endif; ?>
        </td>
    </tr>
<?php endif; ?>
