<table class="table_list" style="text-align: left; vertical-align: top;">
    <colgroup>
        <col width="5%" />
        <col width="5%" />
        <col width="55%" />
        <col width="25%" />
        <col width="10%" />
    </colgroup>
    
    <thead>
        <tr>
            <th style="width: 14px"><input id="sf_admin_list_batch_checkbox" type="checkbox" onclick="checkAll();" /></th>
                <?php include_partial('uslg_usluga/list_th_tabular', array('sort' => $sort)) ?>
            <th style="width: 70px"><?php echo __('Actions', array(), 'sf_admin') ?></th>
        </tr>
    </thead>
    <tfoot>
        <tr>
            <th colspan="8" class="result_separator">
                <?php if ($pager->haveToPaginate()): ?>
                    <?php include_partial('uslg_usluga/pagination', array('pager' => $pager)) ?>
                <?php endif; ?>
                <div class="page_results">
                    <?php echo format_number_choice('[0] no result|[1] 1 result|(1,+Inf] %1% results', array('%1%' => $pager->getNbResults()), $pager->getNbResults(), 'sf_admin') ?>
                    <?php if ($pager->haveToPaginate()): ?>
                            <?php echo __('(page %%page%%/%%nb_pages%%)', array('%%page%%' => $pager->getPage(), '%%nb_pages%%' => $pager->getLastPage()), 'sf_admin') ?>
                    <?php endif; ?>
                </div>
            </th>
        </tr>
    </tfoot>
    <tbody>
        <?php if(!$pager->getNbResults()): ?>
            <tr class="row_0">
                <td colspan="8" style="text-align: center; font-weight: bold;">
                    <?php echo __('Brak wyników') ?>
                </td>
            </tr>
        <?php endif; ?>
        <?php foreach ($pager->getResults() as $i => $baza_uslug_usluga): $odd = fmod(++$i, 2) ? '0' : '1' ?>
            <tr class="row_<?php echo $odd ?>" valign="top">
                <?php include_partial('uslg_usluga/list_td_batch_actions', array('baza_uslug_usluga' => $baza_uslug_usluga, 'helper' => $helper)) ?>
                <?php include_partial('uslg_usluga/list_td_tabular', array('baza_uslug_usluga' => $baza_uslug_usluga)) ?>
                <?php include_partial('uslg_usluga/list_td_actions', array('baza_uslug_usluga' => $baza_uslug_usluga, 'helper' => $helper));?>                    
            </tr>
        <?php endforeach; ?>
    </tbody>
</table>

<?php javascript_tag();?>
    function checkAll() {
        var boxes = $$('input'); for(index in boxes) { box = boxes[index]; if (box.type == 'checkbox' && box.className == 'sf_admin_batch_checkbox') box.checked = document.getElementById('sf_admin_list_batch_checkbox').checked } return true;
    }
<?php end_javascript_tag();?>