<?php use_helper('Tag', 'Form') ?>
<section class="component">
    <header class="belka">
        <h2 class="title">
            <span><?php echo __('Filtry'); ?></span>
        </h2>
    </header>

    <?php echo form_tag('@uslg_search', array('name' => 'baza_uslug_szukaj_form', 'multipart' => true, 'method' => 'post')); ?>
    <table class="" role="presentation" cellspacing="10px" cellpading="0">
<!--        <colgroup>
            <col width="50%" />
            <col width="50%" />
        </colgroup>-->

        <thead>
            <tr>
                <th scope="col">
                    <?php echo $form->renderHiddenFields(); ?>
                    <?php echo $form->renderGlobalErrors(); ?>
                </th>
            </tr>
        </thead>
        
        <tfoot>
            <tr>
                <td>
                    <?php echo reset_tag(__('Wyczyść'), array('class' => 'button', 'style' => 'float: left;')); ?>
                    <?php echo submit_tag(__(sfConfig::get('app_search_submit')), array('class' => 'button', 'style' => 'float: right;')); ?>
                </td>
            </tr>
        </tfoot>

        <tbody>
            <tr>
                <td>
                    <?php echo $form['fraza']->renderLabel(); ?>:
                    <?php echo $form['fraza']; ?>
                    <div class="cl"></div>

                    <?php $err = $form['fraza']->getError(); ?>
                    <?php if(!empty($err)): ?>
                        <div class="error"><?php echo $err; ?></div>
                    <?php else: ?>
                        <div class="help"><?php echo strip_tags($form['fraza']->renderHelp()); ?></div>
                    <?php endif; ?>
                </td>
            </tr>
            <tr>
                <td>
                    <?php echo $form['kat']->renderLabel(); ?>:
                    <?php echo $form['kat']; ?>
                    <div class="cl"></div>

                    <?php $err = $form['kat']->getError(); ?>
                    <?php if(!empty($err)): ?>
                        <div class="error"><?php echo $err; ?></div>
                    <?php else: ?>
                        <div class="help"><?php echo strip_tags($form['kat']->renderHelp()); ?></div>
                    <?php endif; ?>
                </td>
            </tr>
            <tr>
                <td>
                    <?php echo $form['usluga']->renderLabel(); ?>:
                    <?php echo $form['usluga']; ?>
                    <div class="cl"></div>

                    <?php $err = $form['usluga']->getError(); ?>
                    <?php if(!empty($err)): ?>
                        <div class="error"><?php echo $err; ?></div>
                    <?php else: ?>
                        <div class="help"><?php echo strip_tags($form['usluga']->renderHelp()); ?></div>
                    <?php endif; ?>
                </td>
            </tr>
            <tr>
                <td>
                    <?php echo $form['spec']->renderLabel(); ?>:
                    <?php echo $form['spec']; ?>
                    <div class="cl"></div>

                    <?php $err = $form['spec']->getError(); ?>
                    <?php if(!empty($err)): ?>
                        <div class="error"><?php echo $err; ?></div>
                    <?php else: ?>
                        <div class="help"><?php echo strip_tags($form['spec']->renderHelp()); ?></div>
                    <?php endif; ?>
                </td>
            </tr>
        </tbody>
    </table>
    <?php echo '</form>'; ?>

</section>

