<?php
use_stylesheet('portal/mikroblog');

//slot('navigator');
$path = array(__(ModulPeer::getFromShort('uslg')->getNazwa()) => '@uslg_index', __('Kategorie') => '@uslg_lista_kategorii');

$typ_id = $baza_uslug_kategoria->getTyp();
if($typ_id && in_array($typ_id, $types))
{
    $typ_name = $types[$typ_id];
    $path[$typ_name] = '@uslg_typ?typ_id='.$typ_id.'&slug='.Functions::slugify($typ_name);
}

$path[$baza_uslug_kategoria->getNazwa()] = '@uslg_kat?id='.$baza_uslug_kategoria->getId().'&slug='.Functions::slugify($baza_uslug_kategoria->getNazwa());

//include_partial('Common/nawigator', array('path' => $path));
//end_slot();
$_SESSION['navigator_path'] = serialize($path);

//include_component('baza_uslug', 'wyszukiwarka_kategorii');
// *****************************************************************************
?>

<article itemscope itemtype="http://schema.org/NewsArticle">

    <meta itemprop="description" content="<?php echo strip_tags($baza_uslug_kategoria->getZajawka()); ?>" />
    <meta itemprop="datePublished" content="<?php echo $baza_uslug_kategoria->getCreatedAt('c'); ?>" />

    <header>
        <h2 class="title" itemprop="headline">
            <?php
            echo $baza_uslug_kategoria->getNazwa();

            /* lektor audio */
            if(!empty($audio_path))
                include_partial('Common/mp3', array('audio_path' => $audio_path));
            ?>
        </h2>
    </header>

    <?php Functions::renderInfo($baza_uslug_kategoria, 'getCreatedAt', ''); ?>

    <div class="tresc">
        <?php echo $baza_uslug_kategoria->getOpis(); ?>
    </div>

    <?php include_partial('Common/microblog', array('tytul' => $baza_uslug_kategoria->getNazwa())); ?>
    <?php include_partial('baza_uslug/actions', array('title' => $baza_uslug_kategoria->getNazwa())); ?>
    <div class="cl"></div>
</article>

<?php include_component('baza_uslug', 'powiazane_uslugi', array('kat_id' => $baza_uslug_kategoria->getId(), 'title' => 'Usługi')); ?>
<?php include_component('baza_uslug', 'powiazani_specjalisci', array('kat_id' => $baza_uslug_kategoria->getId(), 'title' => 'Specjaliści')); ?>

