-- phpMyAdmin SQL Dump
-- version 4.4.15.3
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Czas generowania: 31 Sty 2017, 11:18
-- Wersja serwera: 5.7.17-log
-- Wersja PHP: 5.4.45

SET FOREIGN_KEY_CHECKS=0;
SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Baza danych: `sam3_szablon`
--

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `uslg_kategoria`
--

CREATE TABLE IF NOT EXISTS `uslg_kategoria` (
  `id` int(11) NOT NULL,
  `kolejnosc` int(11) DEFAULT NULL,
  `status_id` int(11) NOT NULL DEFAULT '1',
  `portal_id` int(11) NOT NULL DEFAULT '1',
  `typ` int(11) DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci;

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `uslg_kategoria_i18n`
--

CREATE TABLE IF NOT EXISTS `uslg_kategoria_i18n` (
  `id` int(11) NOT NULL,
  `culture` varchar(7) COLLATE utf8_polish_ci NOT NULL,
  `nazwa` varchar(100) COLLATE utf8_polish_ci NOT NULL,
  `zajawka` varchar(255) COLLATE utf8_polish_ci DEFAULT NULL,
  `opis` text COLLATE utf8_polish_ci,
  `tagi` varchar(255) COLLATE utf8_polish_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci;

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `uslg_mapa_spec_kat`
--

CREATE TABLE IF NOT EXISTS `uslg_mapa_spec_kat` (
  `spec_id` int(11) NOT NULL,
  `kat_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci;

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `uslg_mapa_uslg_kat`
--

CREATE TABLE IF NOT EXISTS `uslg_mapa_uslg_kat` (
  `uslg_id` int(11) NOT NULL,
  `kat_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci;

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `uslg_mapa_uslg_spec`
--

CREATE TABLE IF NOT EXISTS `uslg_mapa_uslg_spec` (
  `uslg_id` int(11) NOT NULL,
  `spec_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci;

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `uslg_specjalista`
--

CREATE TABLE IF NOT EXISTS `uslg_specjalista` (
  `id` int(11) NOT NULL,
  `kolejnosc` int(11) DEFAULT NULL,
  `status_id` int(11) NOT NULL DEFAULT '1',
  `portal_id` int(11) NOT NULL DEFAULT '1',
  `grafika_zajawki` varchar(255) COLLATE utf8_polish_ci DEFAULT NULL,
  `prefix_grafiki_zajawki` varchar(7) COLLATE utf8_polish_ci DEFAULT 'thumb',
  `promowana` tinyint(1) NOT NULL DEFAULT '0',
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci;

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `uslg_specjalista_i18n`
--

CREATE TABLE IF NOT EXISTS `uslg_specjalista_i18n` (
  `id` int(11) NOT NULL,
  `culture` varchar(7) COLLATE utf8_polish_ci NOT NULL,
  `tytul` varchar(100) COLLATE utf8_polish_ci DEFAULT NULL,
  `nazwa` varchar(100) COLLATE utf8_polish_ci NOT NULL,
  `specjalizacja` varchar(255) COLLATE utf8_polish_ci DEFAULT NULL,
  `zajawka` varchar(255) COLLATE utf8_polish_ci DEFAULT NULL,
  `opis` text COLLATE utf8_polish_ci,
  `tagi` varchar(255) COLLATE utf8_polish_ci DEFAULT NULL,
  `opis_grafiki_zajawki` varchar(255) COLLATE utf8_polish_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci;

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `uslg_usluga`
--

CREATE TABLE IF NOT EXISTS `uslg_usluga` (
  `id` int(11) NOT NULL,
  `kolejnosc` int(11) DEFAULT NULL,
  `status_id` int(11) NOT NULL DEFAULT '1',
  `portal_id` int(11) NOT NULL DEFAULT '1',
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci;

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `uslg_usluga_i18n`
--

CREATE TABLE IF NOT EXISTS `uslg_usluga_i18n` (
  `id` int(11) NOT NULL,
  `culture` varchar(7) COLLATE utf8_polish_ci NOT NULL,
  `nazwa` varchar(100) COLLATE utf8_polish_ci NOT NULL,
  `zajawka` varchar(255) COLLATE utf8_polish_ci DEFAULT NULL,
  `opis` text COLLATE utf8_polish_ci,
  `tagi` varchar(255) COLLATE utf8_polish_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci;

--
-- Indeksy dla zrzutów tabel
--

--
-- Indexes for table `uslg_kategoria`
--
ALTER TABLE `uslg_kategoria`
  ADD PRIMARY KEY (`id`),
  ADD KEY `uslg_kategoria_FI_1` (`status_id`),
  ADD KEY `uslg_kategoria_FI_2` (`portal_id`);

--
-- Indexes for table `uslg_kategoria_i18n`
--
ALTER TABLE `uslg_kategoria_i18n`
  ADD PRIMARY KEY (`id`,`culture`);

--
-- Indexes for table `uslg_mapa_spec_kat`
--
ALTER TABLE `uslg_mapa_spec_kat`
  ADD PRIMARY KEY (`spec_id`,`kat_id`),
  ADD KEY `uslg_mapa_spec_kat_FI_2` (`kat_id`);

--
-- Indexes for table `uslg_mapa_uslg_kat`
--
ALTER TABLE `uslg_mapa_uslg_kat`
  ADD PRIMARY KEY (`uslg_id`,`kat_id`),
  ADD KEY `uslg_mapa_uslg_kat_FI_2` (`kat_id`);

--
-- Indexes for table `uslg_mapa_uslg_spec`
--
ALTER TABLE `uslg_mapa_uslg_spec`
  ADD PRIMARY KEY (`uslg_id`,`spec_id`),
  ADD KEY `uslg_mapa_uslg_spec_FI_2` (`spec_id`);

--
-- Indexes for table `uslg_specjalista`
--
ALTER TABLE `uslg_specjalista`
  ADD PRIMARY KEY (`id`),
  ADD KEY `uslg_specjalista_FI_1` (`status_id`),
  ADD KEY `uslg_specjalista_FI_2` (`portal_id`);

--
-- Indexes for table `uslg_specjalista_i18n`
--
ALTER TABLE `uslg_specjalista_i18n`
  ADD PRIMARY KEY (`id`,`culture`);

--
-- Indexes for table `uslg_usluga`
--
ALTER TABLE `uslg_usluga`
  ADD PRIMARY KEY (`id`),
  ADD KEY `uslg_usluga_FI_1` (`status_id`),
  ADD KEY `uslg_usluga_FI_2` (`portal_id`);

--
-- Indexes for table `uslg_usluga_i18n`
--
ALTER TABLE `uslg_usluga_i18n`
  ADD PRIMARY KEY (`id`,`culture`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT dla tabeli `uslg_kategoria`
--
ALTER TABLE `uslg_kategoria`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT dla tabeli `uslg_specjalista`
--
ALTER TABLE `uslg_specjalista`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT dla tabeli `uslg_usluga`
--
ALTER TABLE `uslg_usluga`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- Ograniczenia dla zrzutów tabel
--

--
-- Ograniczenia dla tabeli `uslg_kategoria`
--
ALTER TABLE `uslg_kategoria`
  ADD CONSTRAINT `uslg_kategoria_FK_1` FOREIGN KEY (`status_id`) REFERENCES `aktualnosc_status` (`id`),
  ADD CONSTRAINT `uslg_kategoria_FK_2` FOREIGN KEY (`portal_id`) REFERENCES `portal` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Ograniczenia dla tabeli `uslg_kategoria_i18n`
--
ALTER TABLE `uslg_kategoria_i18n`
  ADD CONSTRAINT `uslg_kategoria_i18n_FK_1` FOREIGN KEY (`id`) REFERENCES `uslg_kategoria` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Ograniczenia dla tabeli `uslg_mapa_spec_kat`
--
ALTER TABLE `uslg_mapa_spec_kat`
  ADD CONSTRAINT `uslg_mapa_spec_kat_FK_1` FOREIGN KEY (`spec_id`) REFERENCES `uslg_specjalista` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `uslg_mapa_spec_kat_FK_2` FOREIGN KEY (`kat_id`) REFERENCES `uslg_kategoria` (`id`) ON DELETE CASCADE;

--
-- Ograniczenia dla tabeli `uslg_mapa_uslg_kat`
--
ALTER TABLE `uslg_mapa_uslg_kat`
  ADD CONSTRAINT `uslg_mapa_uslg_kat_FK_1` FOREIGN KEY (`uslg_id`) REFERENCES `uslg_usluga` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `uslg_mapa_uslg_kat_FK_2` FOREIGN KEY (`kat_id`) REFERENCES `uslg_kategoria` (`id`) ON DELETE CASCADE;

--
-- Ograniczenia dla tabeli `uslg_mapa_uslg_spec`
--
ALTER TABLE `uslg_mapa_uslg_spec`
  ADD CONSTRAINT `uslg_mapa_uslg_spec_FK_1` FOREIGN KEY (`uslg_id`) REFERENCES `uslg_usluga` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `uslg_mapa_uslg_spec_FK_2` FOREIGN KEY (`spec_id`) REFERENCES `uslg_specjalista` (`id`) ON DELETE CASCADE;

--
-- Ograniczenia dla tabeli `uslg_specjalista`
--
ALTER TABLE `uslg_specjalista`
  ADD CONSTRAINT `uslg_specjalista_FK_1` FOREIGN KEY (`status_id`) REFERENCES `aktualnosc_status` (`id`),
  ADD CONSTRAINT `uslg_specjalista_FK_2` FOREIGN KEY (`portal_id`) REFERENCES `portal` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Ograniczenia dla tabeli `uslg_specjalista_i18n`
--
ALTER TABLE `uslg_specjalista_i18n`
  ADD CONSTRAINT `uslg_specjalista_i18n_FK_1` FOREIGN KEY (`id`) REFERENCES `uslg_specjalista` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Ograniczenia dla tabeli `uslg_usluga`
--
ALTER TABLE `uslg_usluga`
  ADD CONSTRAINT `uslg_usluga_FK_1` FOREIGN KEY (`status_id`) REFERENCES `aktualnosc_status` (`id`),
  ADD CONSTRAINT `uslg_usluga_FK_2` FOREIGN KEY (`portal_id`) REFERENCES `portal` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Ograniczenia dla tabeli `uslg_usluga_i18n`
--
ALTER TABLE `uslg_usluga_i18n`
  ADD CONSTRAINT `uslg_usluga_i18n_FK_1` FOREIGN KEY (`id`) REFERENCES `uslg_usluga` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

  --
-- Zrzut danych tabeli `modul`
--

REPLACE INTO `modul` (`id`, `short`, `permissions`, `multisite`, `banners`, `nazwa`, `tab_color`, `is_menu`, `show_in_portal`) VALUES
(54, 'uslg', 1, 1, 1, 'Baza usług', 3, 1, 1);

--
-- Zrzut danych tabeli `uslg_kategoria`
--

REPLACE INTO `uslg_kategoria` (`id`, `kolejnosc`, `status_id`, `portal_id`, `typ`, `created_at`, `updated_at`) VALUES
(1, NULL, 1, 1, NULL, '2016-01-19 14:54:50', '2016-01-21 08:05:03'),
(2, NULL, 1, 1, NULL, '2016-01-19 14:55:23', '2016-01-21 08:05:22'),
(3, NULL, 1, 1, 2, '2016-01-21 08:04:46', '2016-01-21 08:04:46');

--
-- Zrzut danych tabeli `uslg_kategoria_i18n`
--

REPLACE INTO `uslg_kategoria_i18n` (`id`, `culture`, `nazwa`, `zajawka`, `opis`, `tagi`) VALUES
(1, 'pl', 'Kategoria bazy usług', 'Opis kategorii bazy usług Litwo! Ojczyzno moja! Ty jesteś jak zdrowie. Ile cię stracił. Dziś piękność widziana w oszmiańskim powiecie przyjechał pan Sędzia szedł z pachnącymi ziołki geranium, lewkonija, astry i w granatowym kontuszu stał kwestarz...', '<p>Opis kategorii bazy usług&nbsp;Litwo! Ojczyzno moja! Ty jesteś jak zdrowie. Ile cię stracił. Dziś piękność widziana w oszmiańskim powiecie przyjechał pan Sędzia szedł z pachnącymi ziołki geranium, lewkonija, astry i w granatowym kontuszu stał kwestarz, Sędzia Podkomorzego sam wewnątrz siebie czuł się niedawno w ziemstwie, potem cały las i w bitwie, gdzie nie pyta bo tak to m&oacute;wiąc, że w tył wygiął łokcie spod ramion wytknął palce i wr&oacute;ciwszy w p&oacute;ł godziny już nie jedli. Stojąc i byle nie szukać mody małpowanie, milczał.</p>', ''),
(2, 'pl', 'Kategoria bazy usług B', 'Opis Kategorii bazy usług B Litwo! Ojczyzno moja! Ty jesteś jak zdrowie. Ile cię stracił. Dziś piękność widziana w oszmiańskim powiecie przyjechał pan Sędzia szedł z pachnącymi ziołki geranium, lewkonija, astry i w granatowym kontuszu stał kwestarz...', '<p><strong>Opis&nbsp;Kategorii bazy usług B</strong>&nbsp;Litwo! Ojczyzno moja! Ty jesteś jak zdrowie. Ile cię stracił. Dziś piękność widziana w oszmiańskim powiecie przyjechał pan Sędzia szedł z pachnącymi ziołki geranium, lewkonija, astry i w granatowym kontuszu stał kwestarz, Sędzia Podkomorzego sam wewnątrz siebie czuł się niedawno w ziemstwie, potem cały las i w bitwie, gdzie nie pyta bo tak to m&oacute;wiąc, że w tył wygiął łokcie spod ramion wytknął palce i wr&oacute;ciwszy w p&oacute;ł godziny już nie jedli. Stojąc i byle nie szukać mody małpowanie, milczał.</p>', ''),
(3, 'pl', 'Kategoria bazy usług C', 'Opis kategorii Litwo! Ojczyzno moja! Ty jesteś jak zdrowie. Ile cię stracił. Dziś piękność widziana w oszmiańskim powiecie przyjechał pan Sędzia szedł z pachnącymi ziołki geranium, lewkonija, astry i w granatowym kontuszu stał kwestarz, Sędzia...', '<p><strong>Opis kategorii&nbsp;</strong>Litwo! Ojczyzno moja! Ty jesteś jak zdrowie. Ile cię stracił. Dziś piękność widziana w oszmiańskim powiecie przyjechał pan Sędzia szedł z pachnącymi ziołki geranium, lewkonija, astry i w granatowym kontuszu stał kwestarz, Sędzia Podkomorzego sam wewnątrz siebie czuł się niedawno w ziemstwie, potem cały las i w bitwie, gdzie nie pyta bo tak to m&oacute;wiąc, że w tył wygiął łokcie spod ramion wytknął palce i wr&oacute;ciwszy w p&oacute;ł godziny już nie jedli. Stojąc i byle nie szukać mody małpowanie, milczał.</p>', '');

--
-- Zrzut danych tabeli `uslg_mapa_spec_kat`
--

REPLACE INTO `uslg_mapa_spec_kat` (`spec_id`, `kat_id`) VALUES
(1, 1),
(2, 1),
(1, 2),
(2, 2),
(1, 3),
(2, 3),
(3, 3);

--
-- Zrzut danych tabeli `uslg_mapa_uslg_kat`
--

REPLACE INTO `uslg_mapa_uslg_kat` (`uslg_id`, `kat_id`) VALUES
(1, 1),
(2, 1),
(1, 2),
(2, 2),
(1, 3),
(2, 3);

--
-- Zrzut danych tabeli `uslg_mapa_uslg_spec`
--

REPLACE INTO `uslg_mapa_uslg_spec` (`uslg_id`, `spec_id`) VALUES
(1, 1),
(2, 1),
(1, 2),
(2, 2),
(1, 3),
(2, 3);

--
-- Zrzut danych tabeli `uslg_specjalista`
--

REPLACE INTO `uslg_specjalista` (`id`, `kolejnosc`, `status_id`, `portal_id`, `grafika_zajawki`, `promowana`, `created_at`, `updated_at`) VALUES
(1, NULL, 1, 1, NULL, 0, '2016-01-19 14:56:16', '2016-01-19 14:56:16'),
(2, NULL, 1, 1, NULL, 0, '2016-01-19 14:56:41', '2016-01-19 15:18:28'),
(3, NULL, 1, 1, NULL, 0, '2016-01-21 08:07:35', '2016-01-21 08:07:35');

--
-- Zrzut danych tabeli `uslg_specjalista_i18n`
--

REPLACE INTO `uslg_specjalista_i18n` (`id`, `culture`, `tytul`, `nazwa`, `specjalizacja`, `zajawka`, `opis`, `tagi`) VALUES
(1, 'pl', 'Specialista bazy usług', 'Specialista bazy usług - Jan Kowalski', 'Dziedzina- specializacja ', 'Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat.', '<p>Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat.</p>', ''),
(2, 'pl', 'Specialista bazy usług B', 'Specialista bazy usług - Monika Kowalska', 'Dziedzina- specializacja  B', 'Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat.', '<p>Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat.</p>', ''),
(3, 'pl', 'Specialista bazy usług ', 'Specialista bazy usług - Antonio Włodarczyk', '', 'Litwo! Ojczyzno moja! Ty jesteś jak zdrowie. Ile cię stracił. Dziś piękność widziana w oszmiańskim powiecie przyjechał pan Sędzia szedł z pachnącymi ziołki geranium, lewkonija, astry i w granatowym kontuszu stał kwestarz.', '<p>Litwo! Ojczyzno moja! Ty jesteś jak zdrowie. Ile cię stracił. Dziś piękność widziana w oszmiańskim powiecie przyjechał pan Sędzia szedł z pachnącymi ziołki geranium, lewkonija, astry i w granatowym kontuszu stał kwestarz, Sędzia Podkomorzego sam wewnątrz siebie czuł się niedawno w ziemstwie, potem cały las i w bitwie, gdzie nie pyta bo tak to m&oacute;wiąc, że w tył wygiął łokcie spod ramion wytknął palce i wr&oacute;ciwszy w p&oacute;ł godziny już nie jedli. Stojąc i byle nie szukać mody małpowanie, milczał.</p>', '');

--
-- Zrzut danych tabeli `uslg_usluga`
--

REPLACE INTO `uslg_usluga` (`id`, `kolejnosc`, `status_id`, `portal_id`, `created_at`, `updated_at`) VALUES
(1, NULL, 1, 1, '2016-01-19 14:57:04', '2016-01-19 14:57:04'),
(2, NULL, 1, 1, '2016-01-19 15:16:32', '2016-01-21 08:05:49');

--
-- Zrzut danych tabeli `uslg_usluga_i18n`
--

REPLACE INTO `uslg_usluga_i18n` (`id`, `culture`, `nazwa`, `zajawka`, `opis`, `tagi`) VALUES
(1, 'pl', 'Usługa A', 'Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat.', '<p>Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat.</p>', ''),
(2, 'pl', 'Usługa B', 'Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat.', '<p>Ut wisi enim ad minim veniam, quis nostrud exerci tation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat.</p>', '');


SET FOREIGN_KEY_CHECKS=1;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
