<?php

/**
 * BazaUslugKategoria form.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 */
class BazaUslugKategoriaForm extends BaseBazaUslugKategoriaForm
{

    public function configure()
    {
        $this->widgetSchema['id'] = new sfWidgetFormInputHidden();
        $this->widgetSchema['kolejnosc'] = new sfWidgetFormInputHidden();
        $this->widgetSchema['typ']      = new sfWidgetFormSelectRadio(array('choices' => sfConfig::get('app_uslg_types')), array('style' => ''));
        $this->widgetSchema['status_id'] = new sfWidgetFormSelect(array('choices' => array('0' => 'Ukryta', '1' => 'Opublikowana')), array('style' => 'width: 300px;'));
        $this->widgetSchema['portal_id'] = new sfWidgetFormInputHidden();
        $this->widgetSchema['created_at'] = new sfWidgetFormInputHidden();
        $this->widgetSchema['updated_at'] = new sfWidgetFormInputHidden();
        $this->widgetSchema['baza_uslug_mapa_spec_kat_list'] = new sfWidgetFormPropelChoiceMany(array('model' => 'BazaUslugSpecjalista'), array('style' => 'width: 300px;'));
        $this->widgetSchema['baza_uslug_mapa_uslg_kat_list'] = new sfWidgetFormPropelChoiceMany(array('model' => 'BazaUslugUsluga'), array('style' => 'width: 300px;'));
             
        $this->getWidgetSchema()->setDefault('kolejnosc', 0);
        $this->getWidgetSchema()->setDefault('status_id', 1);
        if(sfConfig::get('portal'))
            $this->getWidgetSchema()->setDefault('portal_id', sfConfig::get('portal')->getId());
        
        $this->validatorSchema['typ'] = new sfValidatorChoice(array('choices' => array_keys(sfConfig::get('app_uslg_types')), 'required' => true), array('invalid' => 'Wybierz jedną opcję'));
        
        $cultures = JezykTblPeer::getCulturesForModul('uslg');
        $this->embedI18n($cultures);
    }

}
