<?php

/**
 * BazaUslugKategoriaI18n form.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 */
class BazaUslugKategoriaI18nForm extends BaseBazaUslugKategoriaI18nForm
{

    public function configure()
    {
        $this->widgetSchema['nazwa'] = new sfWidgetFormInput(array(), array('class' => 'required', 'style' => 'width: 437px;'));
        $this->widgetSchema['zajawka'] = new sfWidgetFormTextarea(array(), array('style' => 'width: 475px;'));
        $this->widgetSchema['opis'] = new sfWidgetFormTextareaTinyMCEUser(
            array('width' => "230", 'height' => '300', 'can_be_adv' => true,
			'uploads_path' => ($this->isNew()) ? 'new' : '/uploads/uslg_kategoria/kat_' . $this->getObject()->getId() . '/',
                ),
            array('class' => 'tiny_mce_'.$this->getObject()->getCulture())
        );
        $this->widgetSchema['tagi'] = new sfWidgetFormInput(array(), array('style' => 'width: 439px;'));
        unset($this->widgetSchema['zajawka']);
        
        $this->getWidgetSchema()->setLabel('tagi', 'Słowa-klucze');
        
        $this->getWidgetSchema()->setHelp('nazwa', 'Nazwa oddziału, jednostki, filii.');
        //$this->getWidgetSchema()->setHelp('zajawka', 'Skrócony opis zachęcający do przeczytania pełnego opisu.');
        $this->getWidgetSchema()->setHelp('tagi', 'Często wyszukiwane słowa lub krótkie frazy (oddzielone przecinkiem i spacją).');                
		
		$this->getWidgetSchema()->getFormFormatter()->setHelpFormat('<br/><span class="help">%help%</span>');
    }

}
