<?php

/**
 * BazaUslugUsluga form.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 */
class BazaUslugUslugaForm extends BaseBazaUslugUslugaForm
{

    public function configure()
    {
        $this->widgetSchema['id'] = new sfWidgetFormInputHidden();
        $this->widgetSchema['kolejnosc'] = new sfWidgetFormInputHidden();
        $this->widgetSchema['status_id'] = new sfWidgetFormSelect(array('choices' => array('0' => 'Ukryta', '1' => 'Opublikowana')));
        $this->widgetSchema['portal_id'] = new sfWidgetFormInputHidden();
        $this->widgetSchema['created_at'] = new sfWidgetFormInputHidden();
        $this->widgetSchema['updated_at'] = new sfWidgetFormInputHidden();
        $this->widgetSchema['baza_uslug_mapa_uslg_kat_list'] = new sfWidgetFormPropelChoiceMany(array('model' => 'BazaUslugKategoria'));
        $this->widgetSchema['baza_uslug_mapa_uslg_spec_list'] = new sfWidgetFormPropelChoiceMany(array('model' => 'BazaUslugSpecjalista'));
             
        $this->getWidgetSchema()->setDefault('kolejnosc', 0);
        $this->getWidgetSchema()->setDefault('status_id', 1);
        $this->getWidgetSchema()->setDefault('portal_id', sfConfig::get('portal')->getId());
        
        $cultures = JezykTblPeer::getCulturesForModul('uslg');
        $this->embedI18n($cultures);
    }

}
