<?php

/**
 * BazaUslugKategoriaI18n form base class.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 */
class BaseBazaUslugKategoriaI18nForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'      => new sfWidgetFormInputHidden(),
      'culture' => new sfWidgetFormInputHidden(),
      'nazwa'   => new sfWidgetFormInput(),
      'zajawka' => new sfWidgetFormInput(),
      'opis'    => new sfWidgetFormTextarea(),
      'tagi'    => new sfWidgetFormInput(),
    ));

    $this->setValidators(array(
      'id'      => new sfValidatorPropelChoice(array('model' => 'BazaUslugKategoria', 'column' => 'id', 'required' => false)),
      'culture' => new sfValidatorPropelChoice(array('model' => 'BazaUslugKategoriaI18n', 'column' => 'culture', 'required' => false)),
      'nazwa'   => new sfValidatorString(array('max_length' => 100)),
      'zajawka' => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'opis'    => new sfValidatorString(array('required' => false)),
      'tagi'    => new sfValidatorString(array('max_length' => 255, 'required' => false)),
    ));

    $this->widgetSchema->setNameFormat('baza_uslug_kategoria_i18n[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'BazaUslugKategoriaI18n';
  }


}
