<?php

/**
 * BazaUslugSpecjalistaI18n form base class.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 */
class BaseBazaUslugSpecjalistaI18nForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'                   => new sfWidgetFormInputHidden(),
      'culture'              => new sfWidgetFormInputHidden(),
      'tytul'                => new sfWidgetFormInput(),
      'nazwa'                => new sfWidgetFormInput(),
      'specjalizacja'        => new sfWidgetFormInput(),
      'zajawka'              => new sfWidgetFormInput(),
      'opis'                 => new sfWidgetFormTextarea(),
      'tagi'                 => new sfWidgetFormInput(),
      'opis_grafiki_zajawki' => new sfWidgetFormInput(),
    ));

    $this->setValidators(array(
      'id'                   => new sfValidatorPropelChoice(array('model' => 'BazaUslugSpecjalista', 'column' => 'id', 'required' => false)),
      'culture'              => new sfValidatorPropelChoice(array('model' => 'BazaUslugSpecjalistaI18n', 'column' => 'culture', 'required' => false)),
      'tytul'                => new sfValidatorString(array('max_length' => 100, 'required' => false)),
      'nazwa'                => new sfValidatorString(array('max_length' => 100)),
      'specjalizacja'        => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'zajawka'              => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'opis'                 => new sfValidatorString(array('required' => false)),
      'tagi'                 => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'opis_grafiki_zajawki' => new sfValidatorString(array('max_length' => 255, 'required' => false)),
    ));

    $this->widgetSchema->setNameFormat('baza_uslug_specjalista_i18n[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'BazaUslugSpecjalistaI18n';
  }


}
