<?php



class BazaUslugKategoriaMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.BazaUslugKategoriaMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(BazaUslugKategoriaPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(BazaUslugKategoriaPeer::TABLE_NAME);
		$tMap->setPhpName('BazaUslugKategoria');
		$tMap->setClassname('BazaUslugKategoria');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('ID', 'Id', 'INTEGER', true, null);

		$tMap->addColumn('KOLEJNOSC', 'Kolejnosc', 'INTEGER', false, 11);

		$tMap->addForeignKey('STATUS_ID', 'StatusId', 'INTEGER', 'aktualnosc_status', 'ID', true, 11);

		$tMap->addForeignKey('PORTAL_ID', 'PortalId', 'INTEGER', 'portal', 'ID', true, 11);

		$tMap->addColumn('TYP', 'Typ', 'INTEGER', false, 11);

		$tMap->addColumn('CREATED_AT', 'CreatedAt', 'TIMESTAMP', false, null);

		$tMap->addColumn('UPDATED_AT', 'UpdatedAt', 'TIMESTAMP', false, null);

	} 
} 