<?php



class BazaUslugMapaSpecKatMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.BazaUslugMapaSpecKatMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(BazaUslugMapaSpecKatPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(BazaUslugMapaSpecKatPeer::TABLE_NAME);
		$tMap->setPhpName('BazaUslugMapaSpecKat');
		$tMap->setClassname('BazaUslugMapaSpecKat');

		$tMap->setUseIdGenerator(false);

		$tMap->addForeignPrimaryKey('SPEC_ID', 'SpecId', 'INTEGER' , 'uslg_specjalista', 'ID', true, null);

		$tMap->addForeignPrimaryKey('KAT_ID', 'KatId', 'INTEGER' , 'uslg_kategoria', 'ID', true, null);

	} 
} 