<?php



class BazaUslugMapaUslgSpecMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.BazaUslugMapaUslgSpecMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(BazaUslugMapaUslgSpecPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(BazaUslugMapaUslgSpecPeer::TABLE_NAME);
		$tMap->setPhpName('BazaUslugMapaUslgSpec');
		$tMap->setClassname('BazaUslugMapaUslgSpec');

		$tMap->setUseIdGenerator(false);

		$tMap->addForeignPrimaryKey('USLG_ID', 'UslgId', 'INTEGER' , 'uslg_usluga', 'ID', true, null);

		$tMap->addForeignPrimaryKey('SPEC_ID', 'SpecId', 'INTEGER' , 'uslg_specjalista', 'ID', true, null);

	} 
} 