<?php



class BazaUslugSpecjalistaI18nMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.BazaUslugSpecjalistaI18nMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(BazaUslugSpecjalistaI18nPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(BazaUslugSpecjalistaI18nPeer::TABLE_NAME);
		$tMap->setPhpName('BazaUslugSpecjalistaI18n');
		$tMap->setClassname('BazaUslugSpecjalistaI18n');

		$tMap->setUseIdGenerator(false);

		$tMap->addForeignPrimaryKey('ID', 'Id', 'INTEGER' , 'uslg_specjalista', 'ID', true, null);

		$tMap->addPrimaryKey('CULTURE', 'Culture', 'VARCHAR', true, 7);

		$tMap->addColumn('TYTUL', 'Tytul', 'VARCHAR', false, 100);

		$tMap->addColumn('NAZWA', 'Nazwa', 'VARCHAR', true, 100);

		$tMap->addColumn('SPECJALIZACJA', 'Specjalizacja', 'VARCHAR', false, 255);

		$tMap->addColumn('ZAJAWKA', 'Zajawka', 'VARCHAR', false, 255);

		$tMap->addColumn('OPIS', 'Opis', 'LONGVARCHAR', false, null);

		$tMap->addColumn('TAGI', 'Tagi', 'VARCHAR', false, 255);

		$tMap->addColumn('OPIS_GRAFIKI_ZAJAWKI', 'OpisGrafikiZajawki', 'VARCHAR', false, 255);

	} 
} 