<?php



class BazaUslugUslugaI18nMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.BazaUslugUslugaI18nMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(BazaUslugUslugaI18nPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(BazaUslugUslugaI18nPeer::TABLE_NAME);
		$tMap->setPhpName('BazaUslugUslugaI18n');
		$tMap->setClassname('BazaUslugUslugaI18n');

		$tMap->setUseIdGenerator(false);

		$tMap->addForeignPrimaryKey('ID', 'Id', 'INTEGER' , 'uslg_usluga', 'ID', true, null);

		$tMap->addPrimaryKey('CULTURE', 'Culture', 'VARCHAR', true, 7);

		$tMap->addColumn('NAZWA', 'Nazwa', 'VARCHAR', true, 100);

		$tMap->addColumn('ZAJAWKA', 'Zajawka', 'VARCHAR', false, 255);

		$tMap->addColumn('OPIS', 'Opis', 'LONGVARCHAR', false, null);

		$tMap->addColumn('TAGI', 'Tagi', 'VARCHAR', false, 255);

	} 
} 