<?php


abstract class BaseBazaUslugUsluga extends BaseObject  implements Persistent {


  const PEER = 'BazaUslugUslugaPeer';

	
	protected static $peer;

	
	protected $id;

	
	protected $kolejnosc;

	
	protected $status_id;

	
	protected $portal_id;

	
	protected $created_at;

	
	protected $updated_at;

	
	protected $aAStatus;

	
	protected $aPortal;

	
	protected $collBazaUslugUslugaI18ns;

	
	private $lastBazaUslugUslugaI18nCriteria = null;

	
	protected $collBazaUslugMapaUslgSpecs;

	
	private $lastBazaUslugMapaUslgSpecCriteria = null;

	
	protected $collBazaUslugMapaUslgKats;

	
	private $lastBazaUslugMapaUslgKatCriteria = null;

	
	protected $alreadyInSave = false;

	
	protected $alreadyInValidation = false;

  
  protected $culture;

	
	public function __construct()
	{
		parent::__construct();
		$this->applyDefaultValues();
	}

	
	public function applyDefaultValues()
	{
		$this->status_id = 1;
		$this->portal_id = 1;
	}

	
	public function getId()
	{
		return $this->id;
	}

	
	public function getKolejnosc()
	{
		return $this->kolejnosc;
	}

	
	public function getStatusId()
	{
		return $this->status_id;
	}

	
	public function getPortalId()
	{
		return $this->portal_id;
	}

	
	public function getCreatedAt($format = 'Y-m-d H:i:s')
	{
		if ($this->created_at === null) {
			return null;
		}


		if ($this->created_at === '0000-00-00 00:00:00') {
									return null;
		} else {
			try {
				$dt = new DateTime($this->created_at);
			} catch (Exception $x) {
				throw new PropelException("Internally stored date/time/timestamp value could not be converted to DateTime: " . var_export($this->created_at, true), $x);
			}
		}

		if ($format === null) {
						return $dt;
		} elseif (strpos($format, '%') !== false) {
			return strftime($format, $dt->format('U'));
		} else {
			return $dt->format($format);
		}
	}

	
	public function getUpdatedAt($format = 'Y-m-d H:i:s')
	{
		if ($this->updated_at === null) {
			return null;
		}


		if ($this->updated_at === '0000-00-00 00:00:00') {
									return null;
		} else {
			try {
				$dt = new DateTime($this->updated_at);
			} catch (Exception $x) {
				throw new PropelException("Internally stored date/time/timestamp value could not be converted to DateTime: " . var_export($this->updated_at, true), $x);
			}
		}

		if ($format === null) {
						return $dt;
		} elseif (strpos($format, '%') !== false) {
			return strftime($format, $dt->format('U'));
		} else {
			return $dt->format($format);
		}
	}

	
	public function setId($v)
	{
		if ($v !== null) {
			$v = (int) $v;
		}

		if ($this->id !== $v) {
			$this->id = $v;
			$this->modifiedColumns[] = BazaUslugUslugaPeer::ID;
		}

		return $this;
	} 
	
	public function setKolejnosc($v)
	{
		if ($v !== null) {
			$v = (int) $v;
		}

		if ($this->kolejnosc !== $v) {
			$this->kolejnosc = $v;
			$this->modifiedColumns[] = BazaUslugUslugaPeer::KOLEJNOSC;
		}

		return $this;
	} 
	
	public function setStatusId($v)
	{
		if ($v !== null) {
			$v = (int) $v;
		}

		if ($this->status_id !== $v || $v === 1) {
			$this->status_id = $v;
			$this->modifiedColumns[] = BazaUslugUslugaPeer::STATUS_ID;
		}

		if ($this->aAStatus !== null && $this->aAStatus->getId() !== $v) {
			$this->aAStatus = null;
		}

		return $this;
	} 
	
	public function setPortalId($v)
	{
		if ($v !== null) {
			$v = (int) $v;
		}

		if ($this->portal_id !== $v || $v === 1) {
			$this->portal_id = $v;
			$this->modifiedColumns[] = BazaUslugUslugaPeer::PORTAL_ID;
		}

		if ($this->aPortal !== null && $this->aPortal->getId() !== $v) {
			$this->aPortal = null;
		}

		return $this;
	} 
	
	public function setCreatedAt($v)
	{
						if ($v === null || $v === '') {
			$dt = null;
		} elseif ($v instanceof DateTime) {
			$dt = $v;
		} else {
									try {
				if (is_numeric($v)) { 					$dt = new DateTime('@'.$v, new DateTimeZone('UTC'));
															$dt->setTimeZone(new DateTimeZone(date_default_timezone_get()));
				} else {
					$dt = new DateTime($v);
				}
			} catch (Exception $x) {
				throw new PropelException('Error parsing date/time value: ' . var_export($v, true), $x);
			}
		}

		if ( $this->created_at !== null || $dt !== null ) {
			
			$currNorm = ($this->created_at !== null && $tmpDt = new DateTime($this->created_at)) ? $tmpDt->format('Y-m-d H:i:s') : null;
			$newNorm = ($dt !== null) ? $dt->format('Y-m-d H:i:s') : null;

			if ( ($currNorm !== $newNorm) 					)
			{
				$this->created_at = ($dt ? $dt->format('Y-m-d H:i:s') : null);
				$this->modifiedColumns[] = BazaUslugUslugaPeer::CREATED_AT;
			}
		} 
		return $this;
	} 
	
	public function setUpdatedAt($v)
	{
						if ($v === null || $v === '') {
			$dt = null;
		} elseif ($v instanceof DateTime) {
			$dt = $v;
		} else {
									try {
				if (is_numeric($v)) { 					$dt = new DateTime('@'.$v, new DateTimeZone('UTC'));
															$dt->setTimeZone(new DateTimeZone(date_default_timezone_get()));
				} else {
					$dt = new DateTime($v);
				}
			} catch (Exception $x) {
				throw new PropelException('Error parsing date/time value: ' . var_export($v, true), $x);
			}
		}

		if ( $this->updated_at !== null || $dt !== null ) {
			
			$currNorm = ($this->updated_at !== null && $tmpDt = new DateTime($this->updated_at)) ? $tmpDt->format('Y-m-d H:i:s') : null;
			$newNorm = ($dt !== null) ? $dt->format('Y-m-d H:i:s') : null;

			if ( ($currNorm !== $newNorm) 					)
			{
				$this->updated_at = ($dt ? $dt->format('Y-m-d H:i:s') : null);
				$this->modifiedColumns[] = BazaUslugUslugaPeer::UPDATED_AT;
			}
		} 
		return $this;
	} 
	
	public function hasOnlyDefaultValues()
	{
						if (array_diff($this->modifiedColumns, array(BazaUslugUslugaPeer::STATUS_ID,BazaUslugUslugaPeer::PORTAL_ID))) {
				return false;
			}

			if ($this->status_id !== 1) {
				return false;
			}

			if ($this->portal_id !== 1) {
				return false;
			}

				return true;
	} 
	
	public function hydrate($row, $startcol = 0, $rehydrate = false)
	{
		try {

			$this->id = ($row[$startcol + 0] !== null) ? (int) $row[$startcol + 0] : null;
			$this->kolejnosc = ($row[$startcol + 1] !== null) ? (int) $row[$startcol + 1] : null;
			$this->status_id = ($row[$startcol + 2] !== null) ? (int) $row[$startcol + 2] : null;
			$this->portal_id = ($row[$startcol + 3] !== null) ? (int) $row[$startcol + 3] : null;
			$this->created_at = ($row[$startcol + 4] !== null) ? (string) $row[$startcol + 4] : null;
			$this->updated_at = ($row[$startcol + 5] !== null) ? (string) $row[$startcol + 5] : null;
			$this->resetModified();

			$this->setNew(false);

			if ($rehydrate) {
				$this->ensureConsistency();
			}

						return $startcol + 6; 
		} catch (Exception $e) {
			throw new PropelException("Error populating BazaUslugUsluga object", $e);
		}
	}

	
	public function ensureConsistency()
	{

		if ($this->aAStatus !== null && $this->status_id !== $this->aAStatus->getId()) {
			$this->aAStatus = null;
		}
		if ($this->aPortal !== null && $this->portal_id !== $this->aPortal->getId()) {
			$this->aPortal = null;
		}
	} 
	
	public function reload($deep = false, PropelPDO $con = null)
	{
		if ($this->isDeleted()) {
			throw new PropelException("Cannot reload a deleted object.");
		}

		if ($this->isNew()) {
			throw new PropelException("Cannot reload an unsaved object.");
		}

		if ($con === null) {
			$con = Propel::getConnection(BazaUslugUslugaPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

				
		$stmt = BazaUslugUslugaPeer::doSelectStmt($this->buildPkeyCriteria(), $con);
		$row = $stmt->fetch(PDO::FETCH_NUM);
		$stmt->closeCursor();
		if (!$row) {
			throw new PropelException('Cannot find matching row in the database to reload object values.');
		}
		$this->hydrate($row, 0, true); 
		if ($deep) {  
			$this->aAStatus = null;
			$this->aPortal = null;
			$this->collBazaUslugUslugaI18ns = null;
			$this->lastBazaUslugUslugaI18nCriteria = null;

			$this->collBazaUslugMapaUslgSpecs = null;
			$this->lastBazaUslugMapaUslgSpecCriteria = null;

			$this->collBazaUslugMapaUslgKats = null;
			$this->lastBazaUslugMapaUslgKatCriteria = null;

		} 	}

	
	public function delete(PropelPDO $con = null)
	{
		if ($this->isDeleted()) {
			throw new PropelException("This object has already been deleted.");
		}

		if ($con === null) {
			$con = Propel::getConnection(BazaUslugUslugaPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}
		
		$con->beginTransaction();
		try {
			BazaUslugUslugaPeer::doDelete($this, $con);
			$this->setDeleted(true);
			$con->commit();
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	public function save(PropelPDO $con = null)
	{
    if ($this->isNew() && !$this->isColumnModified(BazaUslugUslugaPeer::CREATED_AT))
    {
      $this->setCreatedAt(time());
    }

    if ($this->isModified() && !$this->isColumnModified(BazaUslugUslugaPeer::UPDATED_AT))
    {
      $this->setUpdatedAt(time());
    }

		if ($this->isDeleted()) {
			throw new PropelException("You cannot save an object that has been deleted.");
		}

		if ($con === null) {
			$con = Propel::getConnection(BazaUslugUslugaPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}
		
		$con->beginTransaction();
		try {
			$affectedRows = $this->doSave($con);
			$con->commit();
			BazaUslugUslugaPeer::addInstanceToPool($this);
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	protected function doSave(PropelPDO $con)
	{
		$affectedRows = 0; 		if (!$this->alreadyInSave) {
			$this->alreadyInSave = true;

												
			if ($this->aAStatus !== null) {
				if ($this->aAStatus->isModified() || $this->aAStatus->isNew()) {
					$affectedRows += $this->aAStatus->save($con);
				}
				$this->setAStatus($this->aAStatus);
			}

			if ($this->aPortal !== null) {
				if ($this->aPortal->isModified() || $this->aPortal->isNew()) {
					$affectedRows += $this->aPortal->save($con);
				}
				$this->setPortal($this->aPortal);
			}

			if ($this->isNew() ) {
				$this->modifiedColumns[] = BazaUslugUslugaPeer::ID;
			}

						if ($this->isModified()) {
				if ($this->isNew()) {
					$pk = BazaUslugUslugaPeer::doInsert($this, $con);
					$affectedRows += 1; 										 										 
					$this->setId($pk);  
					$this->setNew(false);
				} else {
					$affectedRows += BazaUslugUslugaPeer::doUpdate($this, $con);
				}

				$this->resetModified(); 			}

			if ($this->collBazaUslugUslugaI18ns !== null) {
				foreach ($this->collBazaUslugUslugaI18ns as $referrerFK) {
					if (!$referrerFK->isDeleted()) {
						$affectedRows += $referrerFK->save($con);
					}
				}
			}

			if ($this->collBazaUslugMapaUslgSpecs !== null) {
				foreach ($this->collBazaUslugMapaUslgSpecs as $referrerFK) {
					if (!$referrerFK->isDeleted()) {
						$affectedRows += $referrerFK->save($con);
					}
				}
			}

			if ($this->collBazaUslugMapaUslgKats !== null) {
				foreach ($this->collBazaUslugMapaUslgKats as $referrerFK) {
					if (!$referrerFK->isDeleted()) {
						$affectedRows += $referrerFK->save($con);
					}
				}
			}

			$this->alreadyInSave = false;

		}
		return $affectedRows;
	} 
	
	protected $validationFailures = array();

	
	public function getValidationFailures()
	{
		return $this->validationFailures;
	}

	
	public function validate($columns = null)
	{
		$res = $this->doValidate($columns);
		if ($res === true) {
			$this->validationFailures = array();
			return true;
		} else {
			$this->validationFailures = $res;
			return false;
		}
	}

	
	protected function doValidate($columns = null)
	{
		if (!$this->alreadyInValidation) {
			$this->alreadyInValidation = true;
			$retval = null;

			$failureMap = array();


												
			if ($this->aAStatus !== null) {
				if (!$this->aAStatus->validate($columns)) {
					$failureMap = array_merge($failureMap, $this->aAStatus->getValidationFailures());
				}
			}

			if ($this->aPortal !== null) {
				if (!$this->aPortal->validate($columns)) {
					$failureMap = array_merge($failureMap, $this->aPortal->getValidationFailures());
				}
			}


			if (($retval = BazaUslugUslugaPeer::doValidate($this, $columns)) !== true) {
				$failureMap = array_merge($failureMap, $retval);
			}


				if ($this->collBazaUslugUslugaI18ns !== null) {
					foreach ($this->collBazaUslugUslugaI18ns as $referrerFK) {
						if (!$referrerFK->validate($columns)) {
							$failureMap = array_merge($failureMap, $referrerFK->getValidationFailures());
						}
					}
				}

				if ($this->collBazaUslugMapaUslgSpecs !== null) {
					foreach ($this->collBazaUslugMapaUslgSpecs as $referrerFK) {
						if (!$referrerFK->validate($columns)) {
							$failureMap = array_merge($failureMap, $referrerFK->getValidationFailures());
						}
					}
				}

				if ($this->collBazaUslugMapaUslgKats !== null) {
					foreach ($this->collBazaUslugMapaUslgKats as $referrerFK) {
						if (!$referrerFK->validate($columns)) {
							$failureMap = array_merge($failureMap, $referrerFK->getValidationFailures());
						}
					}
				}


			$this->alreadyInValidation = false;
		}

		return (!empty($failureMap) ? $failureMap : true);
	}

	
	public function getByName($name, $type = BasePeer::TYPE_PHPNAME)
	{
		$pos = BazaUslugUslugaPeer::translateFieldName($name, $type, BasePeer::TYPE_NUM);
		$field = $this->getByPosition($pos);
		return $field;
	}

	
	public function getByPosition($pos)
	{
		switch($pos) {
			case 0:
				return $this->getId();
				break;
			case 1:
				return $this->getKolejnosc();
				break;
			case 2:
				return $this->getStatusId();
				break;
			case 3:
				return $this->getPortalId();
				break;
			case 4:
				return $this->getCreatedAt();
				break;
			case 5:
				return $this->getUpdatedAt();
				break;
			default:
				return null;
				break;
		} 	}

	
	public function toArray($keyType = BasePeer::TYPE_PHPNAME, $includeLazyLoadColumns = true)
	{
		$keys = BazaUslugUslugaPeer::getFieldNames($keyType);
		$result = array(
			$keys[0] => $this->getId(),
			$keys[1] => $this->getKolejnosc(),
			$keys[2] => $this->getStatusId(),
			$keys[3] => $this->getPortalId(),
			$keys[4] => $this->getCreatedAt(),
			$keys[5] => $this->getUpdatedAt(),
		);
		return $result;
	}

	
	public function setByName($name, $value, $type = BasePeer::TYPE_PHPNAME)
	{
		$pos = BazaUslugUslugaPeer::translateFieldName($name, $type, BasePeer::TYPE_NUM);
		return $this->setByPosition($pos, $value);
	}

	
	public function setByPosition($pos, $value)
	{
		switch($pos) {
			case 0:
				$this->setId($value);
				break;
			case 1:
				$this->setKolejnosc($value);
				break;
			case 2:
				$this->setStatusId($value);
				break;
			case 3:
				$this->setPortalId($value);
				break;
			case 4:
				$this->setCreatedAt($value);
				break;
			case 5:
				$this->setUpdatedAt($value);
				break;
		} 	}

	
	public function fromArray($arr, $keyType = BasePeer::TYPE_PHPNAME)
	{
		$keys = BazaUslugUslugaPeer::getFieldNames($keyType);

		if (array_key_exists($keys[0], $arr)) $this->setId($arr[$keys[0]]);
		if (array_key_exists($keys[1], $arr)) $this->setKolejnosc($arr[$keys[1]]);
		if (array_key_exists($keys[2], $arr)) $this->setStatusId($arr[$keys[2]]);
		if (array_key_exists($keys[3], $arr)) $this->setPortalId($arr[$keys[3]]);
		if (array_key_exists($keys[4], $arr)) $this->setCreatedAt($arr[$keys[4]]);
		if (array_key_exists($keys[5], $arr)) $this->setUpdatedAt($arr[$keys[5]]);
	}

	
	public function buildCriteria()
	{
		$criteria = new Criteria(BazaUslugUslugaPeer::DATABASE_NAME);

		if ($this->isColumnModified(BazaUslugUslugaPeer::ID)) $criteria->add(BazaUslugUslugaPeer::ID, $this->id);
		if ($this->isColumnModified(BazaUslugUslugaPeer::KOLEJNOSC)) $criteria->add(BazaUslugUslugaPeer::KOLEJNOSC, $this->kolejnosc);
		if ($this->isColumnModified(BazaUslugUslugaPeer::STATUS_ID)) $criteria->add(BazaUslugUslugaPeer::STATUS_ID, $this->status_id);
		if ($this->isColumnModified(BazaUslugUslugaPeer::PORTAL_ID)) $criteria->add(BazaUslugUslugaPeer::PORTAL_ID, $this->portal_id);
		if ($this->isColumnModified(BazaUslugUslugaPeer::CREATED_AT)) $criteria->add(BazaUslugUslugaPeer::CREATED_AT, $this->created_at);
		if ($this->isColumnModified(BazaUslugUslugaPeer::UPDATED_AT)) $criteria->add(BazaUslugUslugaPeer::UPDATED_AT, $this->updated_at);

		return $criteria;
	}

	
	public function buildPkeyCriteria()
	{
		$criteria = new Criteria(BazaUslugUslugaPeer::DATABASE_NAME);

		$criteria->add(BazaUslugUslugaPeer::ID, $this->id);

		return $criteria;
	}

	
	public function getPrimaryKey()
	{
		return $this->getId();
	}

	
	public function setPrimaryKey($key)
	{
		$this->setId($key);
	}

	
	public function copyInto($copyObj, $deepCopy = false)
	{

		$copyObj->setKolejnosc($this->kolejnosc);

		$copyObj->setStatusId($this->status_id);

		$copyObj->setPortalId($this->portal_id);

		$copyObj->setCreatedAt($this->created_at);

		$copyObj->setUpdatedAt($this->updated_at);


		if ($deepCopy) {
									$copyObj->setNew(false);

			foreach ($this->getBazaUslugUslugaI18ns() as $relObj) {
				if ($relObj !== $this) {  					$copyObj->addBazaUslugUslugaI18n($relObj->copy($deepCopy));
				}
			}

			foreach ($this->getBazaUslugMapaUslgSpecs() as $relObj) {
				if ($relObj !== $this) {  					$copyObj->addBazaUslugMapaUslgSpec($relObj->copy($deepCopy));
				}
			}

			foreach ($this->getBazaUslugMapaUslgKats() as $relObj) {
				if ($relObj !== $this) {  					$copyObj->addBazaUslugMapaUslgKat($relObj->copy($deepCopy));
				}
			}

		} 

		$copyObj->setNew(true);

		$copyObj->setId(NULL); 
	}

	
	public function copy($deepCopy = false)
	{
				$clazz = get_class($this);
		$copyObj = new $clazz();
		$this->copyInto($copyObj, $deepCopy);
		return $copyObj;
	}

	
	public function getPeer()
	{
		if (self::$peer === null) {
			self::$peer = new BazaUslugUslugaPeer();
		}
		return self::$peer;
	}

	
	public function setAStatus(AStatus $v = null)
	{
		if ($v === null) {
			$this->setStatusId(1);
		} else {
			$this->setStatusId($v->getId());
		}

		$this->aAStatus = $v;

						if ($v !== null) {
			$v->addBazaUslugUsluga($this);
		}

		return $this;
	}


	
	public function getAStatus(PropelPDO $con = null)
	{
		if ($this->aAStatus === null && ($this->status_id !== null)) {
			$c = new Criteria(AStatusPeer::DATABASE_NAME);
			$c->add(AStatusPeer::ID, $this->status_id);
			$this->aAStatus = AStatusPeer::doSelectOne($c, $con);
			
		}
		return $this->aAStatus;
	}

	
	public function setPortal(Portal $v = null)
	{
		if ($v === null) {
			$this->setPortalId(1);
		} else {
			$this->setPortalId($v->getId());
		}

		$this->aPortal = $v;

						if ($v !== null) {
			$v->addBazaUslugUsluga($this);
		}

		return $this;
	}


	
	public function getPortal(PropelPDO $con = null)
	{
		if ($this->aPortal === null && ($this->portal_id !== null)) {
			$c = new Criteria(PortalPeer::DATABASE_NAME);
			$c->add(PortalPeer::ID, $this->portal_id);
			$this->aPortal = PortalPeer::doSelectOne($c, $con);
			
		}
		return $this->aPortal;
	}

	
	public function clearBazaUslugUslugaI18ns()
	{
		$this->collBazaUslugUslugaI18ns = null; 	}

	
	public function initBazaUslugUslugaI18ns()
	{
		$this->collBazaUslugUslugaI18ns = array();
	}

	
	public function getBazaUslugUslugaI18ns($criteria = null, PropelPDO $con = null)
	{
		if ($criteria === null) {
			$criteria = new Criteria(BazaUslugUslugaPeer::DATABASE_NAME);
		}
		elseif ($criteria instanceof Criteria)
		{
			$criteria = clone $criteria;
		}

		if ($this->collBazaUslugUslugaI18ns === null) {
			if ($this->isNew()) {
			   $this->collBazaUslugUslugaI18ns = array();
			} else {

				$criteria->add(BazaUslugUslugaI18nPeer::ID, $this->id);

				BazaUslugUslugaI18nPeer::addSelectColumns($criteria);
				$this->collBazaUslugUslugaI18ns = BazaUslugUslugaI18nPeer::doSelect($criteria, $con);
			}
		} else {
						if (!$this->isNew()) {
												

				$criteria->add(BazaUslugUslugaI18nPeer::ID, $this->id);

				BazaUslugUslugaI18nPeer::addSelectColumns($criteria);
				if (!isset($this->lastBazaUslugUslugaI18nCriteria) || !$this->lastBazaUslugUslugaI18nCriteria->equals($criteria)) {
					$this->collBazaUslugUslugaI18ns = BazaUslugUslugaI18nPeer::doSelect($criteria, $con);
				}
			}
		}
		$this->lastBazaUslugUslugaI18nCriteria = $criteria;
		return $this->collBazaUslugUslugaI18ns;
	}

	
	public function countBazaUslugUslugaI18ns(Criteria $criteria = null, $distinct = false, PropelPDO $con = null)
	{
		if ($criteria === null) {
			$criteria = new Criteria(BazaUslugUslugaPeer::DATABASE_NAME);
		} else {
			$criteria = clone $criteria;
		}

		if ($distinct) {
			$criteria->setDistinct();
		}

		$count = null;

		if ($this->collBazaUslugUslugaI18ns === null) {
			if ($this->isNew()) {
				$count = 0;
			} else {

				$criteria->add(BazaUslugUslugaI18nPeer::ID, $this->id);

				$count = BazaUslugUslugaI18nPeer::doCount($criteria, $con);
			}
		} else {
						if (!$this->isNew()) {
												

				$criteria->add(BazaUslugUslugaI18nPeer::ID, $this->id);

				if (!isset($this->lastBazaUslugUslugaI18nCriteria) || !$this->lastBazaUslugUslugaI18nCriteria->equals($criteria)) {
					$count = BazaUslugUslugaI18nPeer::doCount($criteria, $con);
				} else {
					$count = count($this->collBazaUslugUslugaI18ns);
				}
			} else {
				$count = count($this->collBazaUslugUslugaI18ns);
			}
		}
		return $count;
	}

	
	public function addBazaUslugUslugaI18n(BazaUslugUslugaI18n $l)
	{
		if ($this->collBazaUslugUslugaI18ns === null) {
			$this->initBazaUslugUslugaI18ns();
		}
		if (!in_array($l, $this->collBazaUslugUslugaI18ns, true)) { 			array_push($this->collBazaUslugUslugaI18ns, $l);
			$l->setBazaUslugUsluga($this);
		}
	}

	
	public function clearBazaUslugMapaUslgSpecs()
	{
		$this->collBazaUslugMapaUslgSpecs = null; 	}

	
	public function initBazaUslugMapaUslgSpecs()
	{
		$this->collBazaUslugMapaUslgSpecs = array();
	}

	
	public function getBazaUslugMapaUslgSpecs($criteria = null, PropelPDO $con = null)
	{
		if ($criteria === null) {
			$criteria = new Criteria(BazaUslugUslugaPeer::DATABASE_NAME);
		}
		elseif ($criteria instanceof Criteria)
		{
			$criteria = clone $criteria;
		}

		if ($this->collBazaUslugMapaUslgSpecs === null) {
			if ($this->isNew()) {
			   $this->collBazaUslugMapaUslgSpecs = array();
			} else {

				$criteria->add(BazaUslugMapaUslgSpecPeer::USLG_ID, $this->id);

				BazaUslugMapaUslgSpecPeer::addSelectColumns($criteria);
				$this->collBazaUslugMapaUslgSpecs = BazaUslugMapaUslgSpecPeer::doSelect($criteria, $con);
			}
		} else {
						if (!$this->isNew()) {
												

				$criteria->add(BazaUslugMapaUslgSpecPeer::USLG_ID, $this->id);

				BazaUslugMapaUslgSpecPeer::addSelectColumns($criteria);
				if (!isset($this->lastBazaUslugMapaUslgSpecCriteria) || !$this->lastBazaUslugMapaUslgSpecCriteria->equals($criteria)) {
					$this->collBazaUslugMapaUslgSpecs = BazaUslugMapaUslgSpecPeer::doSelect($criteria, $con);
				}
			}
		}
		$this->lastBazaUslugMapaUslgSpecCriteria = $criteria;
		return $this->collBazaUslugMapaUslgSpecs;
	}

	
	public function countBazaUslugMapaUslgSpecs(Criteria $criteria = null, $distinct = false, PropelPDO $con = null)
	{
		if ($criteria === null) {
			$criteria = new Criteria(BazaUslugUslugaPeer::DATABASE_NAME);
		} else {
			$criteria = clone $criteria;
		}

		if ($distinct) {
			$criteria->setDistinct();
		}

		$count = null;

		if ($this->collBazaUslugMapaUslgSpecs === null) {
			if ($this->isNew()) {
				$count = 0;
			} else {

				$criteria->add(BazaUslugMapaUslgSpecPeer::USLG_ID, $this->id);

				$count = BazaUslugMapaUslgSpecPeer::doCount($criteria, $con);
			}
		} else {
						if (!$this->isNew()) {
												

				$criteria->add(BazaUslugMapaUslgSpecPeer::USLG_ID, $this->id);

				if (!isset($this->lastBazaUslugMapaUslgSpecCriteria) || !$this->lastBazaUslugMapaUslgSpecCriteria->equals($criteria)) {
					$count = BazaUslugMapaUslgSpecPeer::doCount($criteria, $con);
				} else {
					$count = count($this->collBazaUslugMapaUslgSpecs);
				}
			} else {
				$count = count($this->collBazaUslugMapaUslgSpecs);
			}
		}
		return $count;
	}

	
	public function addBazaUslugMapaUslgSpec(BazaUslugMapaUslgSpec $l)
	{
		if ($this->collBazaUslugMapaUslgSpecs === null) {
			$this->initBazaUslugMapaUslgSpecs();
		}
		if (!in_array($l, $this->collBazaUslugMapaUslgSpecs, true)) { 			array_push($this->collBazaUslugMapaUslgSpecs, $l);
			$l->setBazaUslugUsluga($this);
		}
	}


	
	public function getBazaUslugMapaUslgSpecsJoinBazaUslugSpecjalista($criteria = null, $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
		if ($criteria === null) {
			$criteria = new Criteria(BazaUslugUslugaPeer::DATABASE_NAME);
		}
		elseif ($criteria instanceof Criteria)
		{
			$criteria = clone $criteria;
		}

		if ($this->collBazaUslugMapaUslgSpecs === null) {
			if ($this->isNew()) {
				$this->collBazaUslugMapaUslgSpecs = array();
			} else {

				$criteria->add(BazaUslugMapaUslgSpecPeer::USLG_ID, $this->id);

				$this->collBazaUslugMapaUslgSpecs = BazaUslugMapaUslgSpecPeer::doSelectJoinBazaUslugSpecjalista($criteria, $con, $join_behavior);
			}
		} else {
									
			$criteria->add(BazaUslugMapaUslgSpecPeer::USLG_ID, $this->id);

			if (!isset($this->lastBazaUslugMapaUslgSpecCriteria) || !$this->lastBazaUslugMapaUslgSpecCriteria->equals($criteria)) {
				$this->collBazaUslugMapaUslgSpecs = BazaUslugMapaUslgSpecPeer::doSelectJoinBazaUslugSpecjalista($criteria, $con, $join_behavior);
			}
		}
		$this->lastBazaUslugMapaUslgSpecCriteria = $criteria;

		return $this->collBazaUslugMapaUslgSpecs;
	}

	
	public function clearBazaUslugMapaUslgKats()
	{
		$this->collBazaUslugMapaUslgKats = null; 	}

	
	public function initBazaUslugMapaUslgKats()
	{
		$this->collBazaUslugMapaUslgKats = array();
	}

	
	public function getBazaUslugMapaUslgKats($criteria = null, PropelPDO $con = null)
	{
		if ($criteria === null) {
			$criteria = new Criteria(BazaUslugUslugaPeer::DATABASE_NAME);
		}
		elseif ($criteria instanceof Criteria)
		{
			$criteria = clone $criteria;
		}

		if ($this->collBazaUslugMapaUslgKats === null) {
			if ($this->isNew()) {
			   $this->collBazaUslugMapaUslgKats = array();
			} else {

				$criteria->add(BazaUslugMapaUslgKatPeer::USLG_ID, $this->id);

				BazaUslugMapaUslgKatPeer::addSelectColumns($criteria);
				$this->collBazaUslugMapaUslgKats = BazaUslugMapaUslgKatPeer::doSelect($criteria, $con);
			}
		} else {
						if (!$this->isNew()) {
												

				$criteria->add(BazaUslugMapaUslgKatPeer::USLG_ID, $this->id);

				BazaUslugMapaUslgKatPeer::addSelectColumns($criteria);
				if (!isset($this->lastBazaUslugMapaUslgKatCriteria) || !$this->lastBazaUslugMapaUslgKatCriteria->equals($criteria)) {
					$this->collBazaUslugMapaUslgKats = BazaUslugMapaUslgKatPeer::doSelect($criteria, $con);
				}
			}
		}
		$this->lastBazaUslugMapaUslgKatCriteria = $criteria;
		return $this->collBazaUslugMapaUslgKats;
	}

	
	public function countBazaUslugMapaUslgKats(Criteria $criteria = null, $distinct = false, PropelPDO $con = null)
	{
		if ($criteria === null) {
			$criteria = new Criteria(BazaUslugUslugaPeer::DATABASE_NAME);
		} else {
			$criteria = clone $criteria;
		}

		if ($distinct) {
			$criteria->setDistinct();
		}

		$count = null;

		if ($this->collBazaUslugMapaUslgKats === null) {
			if ($this->isNew()) {
				$count = 0;
			} else {

				$criteria->add(BazaUslugMapaUslgKatPeer::USLG_ID, $this->id);

				$count = BazaUslugMapaUslgKatPeer::doCount($criteria, $con);
			}
		} else {
						if (!$this->isNew()) {
												

				$criteria->add(BazaUslugMapaUslgKatPeer::USLG_ID, $this->id);

				if (!isset($this->lastBazaUslugMapaUslgKatCriteria) || !$this->lastBazaUslugMapaUslgKatCriteria->equals($criteria)) {
					$count = BazaUslugMapaUslgKatPeer::doCount($criteria, $con);
				} else {
					$count = count($this->collBazaUslugMapaUslgKats);
				}
			} else {
				$count = count($this->collBazaUslugMapaUslgKats);
			}
		}
		return $count;
	}

	
	public function addBazaUslugMapaUslgKat(BazaUslugMapaUslgKat $l)
	{
		if ($this->collBazaUslugMapaUslgKats === null) {
			$this->initBazaUslugMapaUslgKats();
		}
		if (!in_array($l, $this->collBazaUslugMapaUslgKats, true)) { 			array_push($this->collBazaUslugMapaUslgKats, $l);
			$l->setBazaUslugUsluga($this);
		}
	}


	
	public function getBazaUslugMapaUslgKatsJoinBazaUslugKategoria($criteria = null, $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
		if ($criteria === null) {
			$criteria = new Criteria(BazaUslugUslugaPeer::DATABASE_NAME);
		}
		elseif ($criteria instanceof Criteria)
		{
			$criteria = clone $criteria;
		}

		if ($this->collBazaUslugMapaUslgKats === null) {
			if ($this->isNew()) {
				$this->collBazaUslugMapaUslgKats = array();
			} else {

				$criteria->add(BazaUslugMapaUslgKatPeer::USLG_ID, $this->id);

				$this->collBazaUslugMapaUslgKats = BazaUslugMapaUslgKatPeer::doSelectJoinBazaUslugKategoria($criteria, $con, $join_behavior);
			}
		} else {
									
			$criteria->add(BazaUslugMapaUslgKatPeer::USLG_ID, $this->id);

			if (!isset($this->lastBazaUslugMapaUslgKatCriteria) || !$this->lastBazaUslugMapaUslgKatCriteria->equals($criteria)) {
				$this->collBazaUslugMapaUslgKats = BazaUslugMapaUslgKatPeer::doSelectJoinBazaUslugKategoria($criteria, $con, $join_behavior);
			}
		}
		$this->lastBazaUslugMapaUslgKatCriteria = $criteria;

		return $this->collBazaUslugMapaUslgKats;
	}

	
	public function clearAllReferences($deep = false)
	{
		if ($deep) {
			if ($this->collBazaUslugUslugaI18ns) {
				foreach ((array) $this->collBazaUslugUslugaI18ns as $o) {
					$o->clearAllReferences($deep);
				}
			}
			if ($this->collBazaUslugMapaUslgSpecs) {
				foreach ((array) $this->collBazaUslugMapaUslgSpecs as $o) {
					$o->clearAllReferences($deep);
				}
			}
			if ($this->collBazaUslugMapaUslgKats) {
				foreach ((array) $this->collBazaUslugMapaUslgKats as $o) {
					$o->clearAllReferences($deep);
				}
			}
		} 
		$this->collBazaUslugUslugaI18ns = null;
		$this->collBazaUslugMapaUslgSpecs = null;
		$this->collBazaUslugMapaUslgKats = null;
			$this->aAStatus = null;
			$this->aPortal = null;
	}


  
  public function getCulture()
  {
    return $this->culture;
  }

  
  public function setCulture($culture)
  {
    $this->culture = $culture;
  }

  public function getNazwa($culture = null)
  {
    return $this->getCurrentBazaUslugUslugaI18n($culture)->getNazwa();
  }

  public function setNazwa($value, $culture = null)
  {
    $this->getCurrentBazaUslugUslugaI18n($culture)->setNazwa($value);
  }

  public function getZajawka($culture = null)
  {
    return $this->getCurrentBazaUslugUslugaI18n($culture)->getZajawka();
  }

  public function setZajawka($value, $culture = null)
  {
    $this->getCurrentBazaUslugUslugaI18n($culture)->setZajawka($value);
  }

  public function getOpis($culture = null)
  {
    return $this->getCurrentBazaUslugUslugaI18n($culture)->getOpis();
  }

  public function setOpis($value, $culture = null)
  {
    $this->getCurrentBazaUslugUslugaI18n($culture)->setOpis($value);
  }

  public function getTagi($culture = null)
  {
    return $this->getCurrentBazaUslugUslugaI18n($culture)->getTagi();
  }

  public function setTagi($value, $culture = null)
  {
    $this->getCurrentBazaUslugUslugaI18n($culture)->setTagi($value);
  }

  protected $current_i18n = array();

  public function getCurrentBazaUslugUslugaI18n($culture = null)
  {
    if (is_null($culture))
    {
      $culture = is_null($this->culture) ? sfPropel::getDefaultCulture() : $this->culture;
    }

    if (!isset($this->current_i18n[$culture]))
    {
      $obj = $this->isNew() ? null : BazaUslugUslugaI18nPeer::retrieveByPK($this->getId(), $culture);
      if ($obj)
      {
        $this->setBazaUslugUslugaI18nForCulture($obj, $culture);
      }
      else
      {
        $this->setBazaUslugUslugaI18nForCulture(new BazaUslugUslugaI18n(), $culture);
        $this->current_i18n[$culture]->setCulture($culture);
      }
    }

    return $this->current_i18n[$culture];
  }

  public function setBazaUslugUslugaI18nForCulture($object, $culture)
  {
    $this->current_i18n[$culture] = $object;
    $this->addBazaUslugUslugaI18n($object);
  }

} 