<?php


abstract class BaseBazaUslugUslugaPeer {

	
	const DATABASE_NAME = 'propel';

	
	const TABLE_NAME = 'uslg_usluga';

	
	const CLASS_DEFAULT = 'lib.model.BazaUslugUsluga';

	
	const NUM_COLUMNS = 6;

	
	const NUM_LAZY_LOAD_COLUMNS = 0;

	
	const ID = 'uslg_usluga.ID';

	
	const KOLEJNOSC = 'uslg_usluga.KOLEJNOSC';

	
	const STATUS_ID = 'uslg_usluga.STATUS_ID';

	
	const PORTAL_ID = 'uslg_usluga.PORTAL_ID';

	
	const CREATED_AT = 'uslg_usluga.CREATED_AT';

	
	const UPDATED_AT = 'uslg_usluga.UPDATED_AT';

	
	public static $instances = array();

	
	private static $mapBuilder = null;

	
	private static $fieldNames = array (
		BasePeer::TYPE_PHPNAME => array ('Id', 'Kolejnosc', 'StatusId', 'PortalId', 'CreatedAt', 'UpdatedAt', ),
		BasePeer::TYPE_STUDLYPHPNAME => array ('id', 'kolejnosc', 'statusId', 'portalId', 'createdAt', 'updatedAt', ),
		BasePeer::TYPE_COLNAME => array (self::ID, self::KOLEJNOSC, self::STATUS_ID, self::PORTAL_ID, self::CREATED_AT, self::UPDATED_AT, ),
		BasePeer::TYPE_FIELDNAME => array ('id', 'kolejnosc', 'status_id', 'portal_id', 'created_at', 'updated_at', ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, )
	);

	
	private static $fieldKeys = array (
		BasePeer::TYPE_PHPNAME => array ('Id' => 0, 'Kolejnosc' => 1, 'StatusId' => 2, 'PortalId' => 3, 'CreatedAt' => 4, 'UpdatedAt' => 5, ),
		BasePeer::TYPE_STUDLYPHPNAME => array ('id' => 0, 'kolejnosc' => 1, 'statusId' => 2, 'portalId' => 3, 'createdAt' => 4, 'updatedAt' => 5, ),
		BasePeer::TYPE_COLNAME => array (self::ID => 0, self::KOLEJNOSC => 1, self::STATUS_ID => 2, self::PORTAL_ID => 3, self::CREATED_AT => 4, self::UPDATED_AT => 5, ),
		BasePeer::TYPE_FIELDNAME => array ('id' => 0, 'kolejnosc' => 1, 'status_id' => 2, 'portal_id' => 3, 'created_at' => 4, 'updated_at' => 5, ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, )
	);

	
	public static function getMapBuilder()
	{
		if (self::$mapBuilder === null) {
			self::$mapBuilder = new BazaUslugUslugaMapBuilder();
		}
		return self::$mapBuilder;
	}
	
	static public function translateFieldName($name, $fromType, $toType)
	{
		$toNames = self::getFieldNames($toType);
		$key = isset(self::$fieldKeys[$fromType][$name]) ? self::$fieldKeys[$fromType][$name] : null;
		if ($key === null) {
			throw new PropelException("'$name' could not be found in the field names of type '$fromType'. These are: " . print_r(self::$fieldKeys[$fromType], true));
		}
		return $toNames[$key];
	}

	

	static public function getFieldNames($type = BasePeer::TYPE_PHPNAME)
	{
		if (!array_key_exists($type, self::$fieldNames)) {
			throw new PropelException('Method getFieldNames() expects the parameter $type to be one of the class constants BasePeer::TYPE_PHPNAME, BasePeer::TYPE_STUDLYPHPNAME, BasePeer::TYPE_COLNAME, BasePeer::TYPE_FIELDNAME, BasePeer::TYPE_NUM. ' . $type . ' was given.');
		}
		return self::$fieldNames[$type];
	}

	
	public static function alias($alias, $column)
	{
		return str_replace(BazaUslugUslugaPeer::TABLE_NAME.'.', $alias.'.', $column);
	}

	
	public static function addSelectColumns(Criteria $criteria)
	{

		$criteria->addSelectColumn(BazaUslugUslugaPeer::ID);

		$criteria->addSelectColumn(BazaUslugUslugaPeer::KOLEJNOSC);

		$criteria->addSelectColumn(BazaUslugUslugaPeer::STATUS_ID);

		$criteria->addSelectColumn(BazaUslugUslugaPeer::PORTAL_ID);

		$criteria->addSelectColumn(BazaUslugUslugaPeer::CREATED_AT);

		$criteria->addSelectColumn(BazaUslugUslugaPeer::UPDATED_AT);

	}

	
	public static function doCount(Criteria $criteria, $distinct = false, PropelPDO $con = null)
	{
				$criteria = clone $criteria;

								$criteria->setPrimaryTableName(BazaUslugUslugaPeer::TABLE_NAME);

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			BazaUslugUslugaPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 		$criteria->setDbName(self::DATABASE_NAME); 
		if ($con === null) {
			$con = Propel::getConnection(BazaUslugUslugaPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

				$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}
	
	public static function doSelectOne(Criteria $criteria, PropelPDO $con = null)
	{
		$critcopy = clone $criteria;
		$critcopy->setLimit(1);
		$objects = BazaUslugUslugaPeer::doSelect($critcopy, $con);
		if ($objects) {
			return $objects[0];
		}
		return null;
	}
	
	public static function doSelect(Criteria $criteria, PropelPDO $con = null)
	{
		return BazaUslugUslugaPeer::populateObjects(BazaUslugUslugaPeer::doSelectStmt($criteria, $con));
	}
	
	public static function doSelectStmt(Criteria $criteria, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(BazaUslugUslugaPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		if (!$criteria->hasSelectClause()) {
			$criteria = clone $criteria;
			BazaUslugUslugaPeer::addSelectColumns($criteria);
		}

				$criteria->setDbName(self::DATABASE_NAME);

				return BasePeer::doSelect($criteria, $con);
	}
	
	public static function addInstanceToPool(BazaUslugUsluga $obj, $key = null)
	{
		if (Propel::isInstancePoolingEnabled()) {
			if ($key === null) {
				$key = (string) $obj->getId();
			} 			self::$instances[$key] = $obj;
		}
	}

	
	public static function removeInstanceFromPool($value)
	{
		if (Propel::isInstancePoolingEnabled() && $value !== null) {
			if (is_object($value) && $value instanceof BazaUslugUsluga) {
				$key = (string) $value->getId();
			} elseif (is_scalar($value)) {
								$key = (string) $value;
			} else {
				$e = new PropelException("Invalid value passed to removeInstanceFromPool().  Expected primary key or BazaUslugUsluga object; got " . (is_object($value) ? get_class($value) . ' object.' : var_export($value,true)));
				throw $e;
			}

			unset(self::$instances[$key]);
		}
	} 
	
	public static function getInstanceFromPool($key)
	{
		if (Propel::isInstancePoolingEnabled()) {
			if (isset(self::$instances[$key])) {
				return self::$instances[$key];
			}
		}
		return null; 	}
	
	
	public static function clearInstancePool()
	{
		self::$instances = array();
	}
	
	
	public static function getPrimaryKeyHashFromRow($row, $startcol = 0)
	{
				if ($row[$startcol + 0] === null) {
			return null;
		}
		return (string) $row[$startcol + 0];
	}

	
	public static function populateObjects(PDOStatement $stmt)
	{
		$results = array();
	
				$cls = BazaUslugUslugaPeer::getOMClass();
		$cls = substr('.'.$cls, strrpos('.'.$cls, '.') + 1);
				while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key = BazaUslugUslugaPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj = BazaUslugUslugaPeer::getInstanceFromPool($key))) {
																$results[] = $obj;
			} else {
		
				$obj = new $cls();
				$obj->hydrate($row);
				$results[] = $obj;
				BazaUslugUslugaPeer::addInstanceToPool($obj, $key);
			} 		}
		$stmt->closeCursor();
		return $results;
	}

	
	public static function doCountJoinAStatus(Criteria $criteria, $distinct = false, PropelPDO $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
				$criteria = clone $criteria;

								$criteria->setPrimaryTableName(BazaUslugUslugaPeer::TABLE_NAME);

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			BazaUslugUslugaPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 
				$criteria->setDbName(self::DATABASE_NAME);

		if ($con === null) {
			$con = Propel::getConnection(BazaUslugUslugaPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$criteria->addJoin(array(BazaUslugUslugaPeer::STATUS_ID,), array(AStatusPeer::ID,), $join_behavior);

		$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}


	
	public static function doCountJoinPortal(Criteria $criteria, $distinct = false, PropelPDO $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
				$criteria = clone $criteria;

								$criteria->setPrimaryTableName(BazaUslugUslugaPeer::TABLE_NAME);

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			BazaUslugUslugaPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 
				$criteria->setDbName(self::DATABASE_NAME);

		if ($con === null) {
			$con = Propel::getConnection(BazaUslugUslugaPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$criteria->addJoin(array(BazaUslugUslugaPeer::PORTAL_ID,), array(PortalPeer::ID,), $join_behavior);

		$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}


	
	public static function doSelectJoinAStatus(Criteria $c, $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		BazaUslugUslugaPeer::addSelectColumns($c);
		$startcol = (BazaUslugUslugaPeer::NUM_COLUMNS - BazaUslugUslugaPeer::NUM_LAZY_LOAD_COLUMNS);
		AStatusPeer::addSelectColumns($c);

		$c->addJoin(array(BazaUslugUslugaPeer::STATUS_ID,), array(AStatusPeer::ID,), $join_behavior);
		$stmt = BasePeer::doSelect($c, $con);
		$results = array();

		while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key1 = BazaUslugUslugaPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj1 = BazaUslugUslugaPeer::getInstanceFromPool($key1))) {
															} else {

				$omClass = BazaUslugUslugaPeer::getOMClass();

				$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
				$obj1 = new $cls();
				$obj1->hydrate($row);
				BazaUslugUslugaPeer::addInstanceToPool($obj1, $key1);
			} 
			$key2 = AStatusPeer::getPrimaryKeyHashFromRow($row, $startcol);
			if ($key2 !== null) {
				$obj2 = AStatusPeer::getInstanceFromPool($key2);
				if (!$obj2) {

					$omClass = AStatusPeer::getOMClass();

					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj2 = new $cls();
					$obj2->hydrate($row, $startcol);
					AStatusPeer::addInstanceToPool($obj2, $key2);
				} 
								$obj2->addBazaUslugUsluga($obj1);

			} 
			$results[] = $obj1;
		}
		$stmt->closeCursor();
		return $results;
	}


	
	public static function doSelectJoinPortal(Criteria $c, $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		BazaUslugUslugaPeer::addSelectColumns($c);
		$startcol = (BazaUslugUslugaPeer::NUM_COLUMNS - BazaUslugUslugaPeer::NUM_LAZY_LOAD_COLUMNS);
		PortalPeer::addSelectColumns($c);

		$c->addJoin(array(BazaUslugUslugaPeer::PORTAL_ID,), array(PortalPeer::ID,), $join_behavior);
		$stmt = BasePeer::doSelect($c, $con);
		$results = array();

		while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key1 = BazaUslugUslugaPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj1 = BazaUslugUslugaPeer::getInstanceFromPool($key1))) {
															} else {

				$omClass = BazaUslugUslugaPeer::getOMClass();

				$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
				$obj1 = new $cls();
				$obj1->hydrate($row);
				BazaUslugUslugaPeer::addInstanceToPool($obj1, $key1);
			} 
			$key2 = PortalPeer::getPrimaryKeyHashFromRow($row, $startcol);
			if ($key2 !== null) {
				$obj2 = PortalPeer::getInstanceFromPool($key2);
				if (!$obj2) {

					$omClass = PortalPeer::getOMClass();

					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj2 = new $cls();
					$obj2->hydrate($row, $startcol);
					PortalPeer::addInstanceToPool($obj2, $key2);
				} 
								$obj2->addBazaUslugUsluga($obj1);

			} 
			$results[] = $obj1;
		}
		$stmt->closeCursor();
		return $results;
	}


	
	public static function doCountJoinAll(Criteria $criteria, $distinct = false, PropelPDO $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
				$criteria = clone $criteria;

								$criteria->setPrimaryTableName(BazaUslugUslugaPeer::TABLE_NAME);

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			BazaUslugUslugaPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 
				$criteria->setDbName(self::DATABASE_NAME);

		if ($con === null) {
			$con = Propel::getConnection(BazaUslugUslugaPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$criteria->addJoin(array(BazaUslugUslugaPeer::STATUS_ID,), array(AStatusPeer::ID,), $join_behavior);
		$criteria->addJoin(array(BazaUslugUslugaPeer::PORTAL_ID,), array(PortalPeer::ID,), $join_behavior);
		$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}

	
	public static function doSelectJoinAll(Criteria $c, $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		BazaUslugUslugaPeer::addSelectColumns($c);
		$startcol2 = (BazaUslugUslugaPeer::NUM_COLUMNS - BazaUslugUslugaPeer::NUM_LAZY_LOAD_COLUMNS);

		AStatusPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + (AStatusPeer::NUM_COLUMNS - AStatusPeer::NUM_LAZY_LOAD_COLUMNS);

		PortalPeer::addSelectColumns($c);
		$startcol4 = $startcol3 + (PortalPeer::NUM_COLUMNS - PortalPeer::NUM_LAZY_LOAD_COLUMNS);

		$c->addJoin(array(BazaUslugUslugaPeer::STATUS_ID,), array(AStatusPeer::ID,), $join_behavior);
		$c->addJoin(array(BazaUslugUslugaPeer::PORTAL_ID,), array(PortalPeer::ID,), $join_behavior);
		$stmt = BasePeer::doSelect($c, $con);
		$results = array();

		while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key1 = BazaUslugUslugaPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj1 = BazaUslugUslugaPeer::getInstanceFromPool($key1))) {
															} else {
				$omClass = BazaUslugUslugaPeer::getOMClass();

				$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
				$obj1 = new $cls();
				$obj1->hydrate($row);
				BazaUslugUslugaPeer::addInstanceToPool($obj1, $key1);
			} 
			
			$key2 = AStatusPeer::getPrimaryKeyHashFromRow($row, $startcol2);
			if ($key2 !== null) {
				$obj2 = AStatusPeer::getInstanceFromPool($key2);
				if (!$obj2) {

					$omClass = AStatusPeer::getOMClass();


					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj2 = new $cls();
					$obj2->hydrate($row, $startcol2);
					AStatusPeer::addInstanceToPool($obj2, $key2);
				} 
								$obj2->addBazaUslugUsluga($obj1);
			} 
			
			$key3 = PortalPeer::getPrimaryKeyHashFromRow($row, $startcol3);
			if ($key3 !== null) {
				$obj3 = PortalPeer::getInstanceFromPool($key3);
				if (!$obj3) {

					$omClass = PortalPeer::getOMClass();


					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj3 = new $cls();
					$obj3->hydrate($row, $startcol3);
					PortalPeer::addInstanceToPool($obj3, $key3);
				} 
								$obj3->addBazaUslugUsluga($obj1);
			} 
			$results[] = $obj1;
		}
		$stmt->closeCursor();
		return $results;
	}


	
	public static function doCountJoinAllExceptAStatus(Criteria $criteria, $distinct = false, PropelPDO $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
				$criteria = clone $criteria;

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			BazaUslugUslugaPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 
				$criteria->setDbName(self::DATABASE_NAME);

		if ($con === null) {
			$con = Propel::getConnection(BazaUslugUslugaPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}
	
				$criteria->addJoin(array(BazaUslugUslugaPeer::PORTAL_ID,), array(PortalPeer::ID,), $join_behavior);
		$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}


	
	public static function doCountJoinAllExceptPortal(Criteria $criteria, $distinct = false, PropelPDO $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
				$criteria = clone $criteria;

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			BazaUslugUslugaPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 
				$criteria->setDbName(self::DATABASE_NAME);

		if ($con === null) {
			$con = Propel::getConnection(BazaUslugUslugaPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}
	
				$criteria->addJoin(array(BazaUslugUslugaPeer::STATUS_ID,), array(AStatusPeer::ID,), $join_behavior);
		$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}


	
	public static function doSelectJoinAllExceptAStatus(Criteria $c, $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
		$c = clone $c;

								if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		BazaUslugUslugaPeer::addSelectColumns($c);
		$startcol2 = (BazaUslugUslugaPeer::NUM_COLUMNS - BazaUslugUslugaPeer::NUM_LAZY_LOAD_COLUMNS);

		PortalPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + (PortalPeer::NUM_COLUMNS - PortalPeer::NUM_LAZY_LOAD_COLUMNS);

				$c->addJoin(array(BazaUslugUslugaPeer::PORTAL_ID,), array(PortalPeer::ID,), $join_behavior);

		$stmt = BasePeer::doSelect($c, $con);
		$results = array();

		while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key1 = BazaUslugUslugaPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj1 = BazaUslugUslugaPeer::getInstanceFromPool($key1))) {
															} else {
				$omClass = BazaUslugUslugaPeer::getOMClass();

				$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
				$obj1 = new $cls();
				$obj1->hydrate($row);
				BazaUslugUslugaPeer::addInstanceToPool($obj1, $key1);
			} 
				
				$key2 = PortalPeer::getPrimaryKeyHashFromRow($row, $startcol2);
				if ($key2 !== null) {
					$obj2 = PortalPeer::getInstanceFromPool($key2);
					if (!$obj2) {
	
						$omClass = PortalPeer::getOMClass();


					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj2 = new $cls();
					$obj2->hydrate($row, $startcol2);
					PortalPeer::addInstanceToPool($obj2, $key2);
				} 
								$obj2->addBazaUslugUsluga($obj1);

			} 
			$results[] = $obj1;
		}
		$stmt->closeCursor();
		return $results;
	}


	
	public static function doSelectJoinAllExceptPortal(Criteria $c, $con = null, $join_behavior = Criteria::LEFT_JOIN)
	{
		$c = clone $c;

								if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		BazaUslugUslugaPeer::addSelectColumns($c);
		$startcol2 = (BazaUslugUslugaPeer::NUM_COLUMNS - BazaUslugUslugaPeer::NUM_LAZY_LOAD_COLUMNS);

		AStatusPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + (AStatusPeer::NUM_COLUMNS - AStatusPeer::NUM_LAZY_LOAD_COLUMNS);

				$c->addJoin(array(BazaUslugUslugaPeer::STATUS_ID,), array(AStatusPeer::ID,), $join_behavior);

		$stmt = BasePeer::doSelect($c, $con);
		$results = array();

		while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key1 = BazaUslugUslugaPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj1 = BazaUslugUslugaPeer::getInstanceFromPool($key1))) {
															} else {
				$omClass = BazaUslugUslugaPeer::getOMClass();

				$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
				$obj1 = new $cls();
				$obj1->hydrate($row);
				BazaUslugUslugaPeer::addInstanceToPool($obj1, $key1);
			} 
				
				$key2 = AStatusPeer::getPrimaryKeyHashFromRow($row, $startcol2);
				if ($key2 !== null) {
					$obj2 = AStatusPeer::getInstanceFromPool($key2);
					if (!$obj2) {
	
						$omClass = AStatusPeer::getOMClass();


					$cls = substr('.'.$omClass, strrpos('.'.$omClass, '.') + 1);
					$obj2 = new $cls();
					$obj2->hydrate($row, $startcol2);
					AStatusPeer::addInstanceToPool($obj2, $key2);
				} 
								$obj2->addBazaUslugUsluga($obj1);

			} 
			$results[] = $obj1;
		}
		$stmt->closeCursor();
		return $results;
	}


  
  public static function doSelectWithI18n(Criteria $c, $culture = null, PropelPDO $con = null)
  {
        $c = clone $c;
    if ($culture === null)
    {
      $culture = sfPropel::getDefaultCulture();
    }

        if ($c->getDbName() == Propel::getDefaultDB())
    {
      $c->setDbName(self::DATABASE_NAME);
    }

    BazaUslugUslugaPeer::addSelectColumns($c);
    $startcol = (BazaUslugUslugaPeer::NUM_COLUMNS - BazaUslugUslugaPeer::NUM_LAZY_LOAD_COLUMNS);

    BazaUslugUslugaI18nPeer::addSelectColumns($c);

    $c->addJoin(BazaUslugUslugaPeer::ID, BazaUslugUslugaI18nPeer::ID);
    $c->add(BazaUslugUslugaI18nPeer::CULTURE, $culture);

    $stmt = BasePeer::doSelect($c, $con);
    $results = array();

    while($row = $stmt->fetch(PDO::FETCH_NUM)) {

      $omClass = BazaUslugUslugaPeer::getOMClass();

      $cls = Propel::importClass($omClass);
      $obj1 = new $cls();
      $obj1->hydrate($row);
      $obj1->setCulture($culture);

      $omClass = BazaUslugUslugaI18nPeer::getOMClass();

      $cls = Propel::importClass($omClass);
      $obj2 = new $cls();
      $obj2->hydrate($row, $startcol);

      $obj1->setBazaUslugUslugaI18nForCulture($obj2, $culture);
      $obj2->setBazaUslugUsluga($obj1);

      $results[] = $obj1;
    }
    return $results;
  }


  
  public static function getI18nModel()
  {
    return 'BazaUslugUslugaI18n';
  }


  static public function getUniqueColumnNames()
  {
    return array();
  }
	
	public static function getTableMap()
	{
		return Propel::getDatabaseMap(self::DATABASE_NAME)->getTable(self::TABLE_NAME);
	}

	
	public static function getOMClass()
	{
		return BazaUslugUslugaPeer::CLASS_DEFAULT;
	}

	
	public static function doInsert($values, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(BazaUslugUslugaPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		if ($values instanceof Criteria) {
			$criteria = clone $values; 		} else {
			$criteria = $values->buildCriteria(); 		}

		if ($criteria->containsKey(BazaUslugUslugaPeer::ID) && $criteria->keyContainsValue(BazaUslugUslugaPeer::ID) ) {
			throw new PropelException('Cannot insert a value for auto-increment primary key ('.BazaUslugUslugaPeer::ID.')');
		}


				$criteria->setDbName(self::DATABASE_NAME);

		try {
									$con->beginTransaction();
			$pk = BasePeer::doInsert($criteria, $con);
			$con->commit();
		} catch(PropelException $e) {
			$con->rollBack();
			throw $e;
		}

		return $pk;
	}

	
	public static function doUpdate($values, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(BazaUslugUslugaPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		$selectCriteria = new Criteria(self::DATABASE_NAME);

		if ($values instanceof Criteria) {
			$criteria = clone $values; 
			$comparison = $criteria->getComparison(BazaUslugUslugaPeer::ID);
			$selectCriteria->add(BazaUslugUslugaPeer::ID, $criteria->remove(BazaUslugUslugaPeer::ID), $comparison);

		} else { 			$criteria = $values->buildCriteria(); 			$selectCriteria = $values->buildPkeyCriteria(); 		}

				$criteria->setDbName(self::DATABASE_NAME);

		return BasePeer::doUpdate($selectCriteria, $criteria, $con);
	}

	
	public static function doDeleteAll($con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(BazaUslugUslugaPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}
		$affectedRows = 0; 		try {
									$con->beginTransaction();
			$affectedRows += BasePeer::doDeleteAll(BazaUslugUslugaPeer::TABLE_NAME, $con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	 public static function doDelete($values, PropelPDO $con = null)
	 {
		if ($con === null) {
			$con = Propel::getConnection(BazaUslugUslugaPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		if ($values instanceof Criteria) {
												BazaUslugUslugaPeer::clearInstancePool();

						$criteria = clone $values;
		} elseif ($values instanceof BazaUslugUsluga) {
						BazaUslugUslugaPeer::removeInstanceFromPool($values);
						$criteria = $values->buildPkeyCriteria();
		} else {
			


			$criteria = new Criteria(self::DATABASE_NAME);
			$criteria->add(BazaUslugUslugaPeer::ID, (array) $values, Criteria::IN);

			foreach ((array) $values as $singleval) {
								BazaUslugUslugaPeer::removeInstanceFromPool($singleval);
			}
		}

				$criteria->setDbName(self::DATABASE_NAME);

		$affectedRows = 0; 
		try {
									$con->beginTransaction();
			
			$affectedRows += BasePeer::doDelete($criteria, $con);

						BazaUslugUslugaI18nPeer::clearInstancePool();

						BazaUslugMapaUslgSpecPeer::clearInstancePool();

						BazaUslugMapaUslgKatPeer::clearInstancePool();

			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	public static function doValidate(BazaUslugUsluga $obj, $cols = null)
	{
		$columns = array();

		if ($cols) {
			$dbMap = Propel::getDatabaseMap(BazaUslugUslugaPeer::DATABASE_NAME);
			$tableMap = $dbMap->getTable(BazaUslugUslugaPeer::TABLE_NAME);

			if (! is_array($cols)) {
				$cols = array($cols);
			}

			foreach ($cols as $colName) {
				if ($tableMap->containsColumn($colName)) {
					$get = 'get' . $tableMap->getColumn($colName)->getPhpName();
					$columns[$colName] = $obj->$get();
				}
			}
		} else {

		}

		$res =  BasePeer::doValidate(BazaUslugUslugaPeer::DATABASE_NAME, BazaUslugUslugaPeer::TABLE_NAME, $columns);
    if ($res !== true) {
        $request = sfContext::getInstance()->getRequest();
        foreach ($res as $failed) {
            $col = BazaUslugUslugaPeer::translateFieldname($failed->getColumn(), BasePeer::TYPE_COLNAME, BasePeer::TYPE_PHPNAME);
        }
    }

    return $res;
	}

	
	public static function retrieveByPK($pk, PropelPDO $con = null)
	{

		if (null !== ($obj = BazaUslugUslugaPeer::getInstanceFromPool((string) $pk))) {
			return $obj;
		}

		if ($con === null) {
			$con = Propel::getConnection(BazaUslugUslugaPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$criteria = new Criteria(BazaUslugUslugaPeer::DATABASE_NAME);
		$criteria->add(BazaUslugUslugaPeer::ID, $pk);

		$v = BazaUslugUslugaPeer::doSelect($criteria, $con);

		return !empty($v) > 0 ? $v[0] : null;
	}

	
	public static function retrieveByPKs($pks, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(BazaUslugUslugaPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$objs = null;
		if (empty($pks)) {
			$objs = array();
		} else {
			$criteria = new Criteria(BazaUslugUslugaPeer::DATABASE_NAME);
			$criteria->add(BazaUslugUslugaPeer::ID, $pks, Criteria::IN);
			$objs = BazaUslugUslugaPeer::doSelect($criteria, $con);
		}
		return $objs;
	}

} 

Propel::getDatabaseMap(BaseBazaUslugUslugaPeer::DATABASE_NAME)->addTableBuilder(BaseBazaUslugUslugaPeer::TABLE_NAME, BaseBazaUslugUslugaPeer::getMapBuilder());

